<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;

class Reports extends BaseController
{
    protected $table = 'orders';
    public $db;

    public function __construct()
    {
        $this->db = \Config\Database::connect();
    }

    // Category Report
    public function category_report()
    {

        $data['breadcrumb'] = 'Category Reports';
        // Products by Category
        $query = $this->db->query("SELECT COUNT(product_id) as total, product_category as category FROM products GROUP BY product_category");
        $record = $query->getResult();
        $products_count = [];
        foreach ($record as $row) {
            $builder = $this->db->query("SELECT category_name FROM categories where category_id='$row->category'");
            $result = $builder->getRow();
            $products_count[] = array(
                'category'   => $result->category_name,
                'sell' => floatval($row->total)
            );
        }

        // Category Sales
        $sales_query = $this->db->query("SELECT SUM(order_total) as total, prod_category as category FROM orders GROUP BY prod_category");
        $sales_record = $sales_query->getResult();
        $category_sales = [];

        foreach ($sales_record as $row) {
            $builder = $this->db->query("SELECT category_name FROM categories where category_id='$row->category'");
            $result = $builder->getRow();
            $category_sales[] = array(
                'category'   => $result->category_name,
                'sell' => floatval($row->total)
            );
        }

        $data['products_count'] = ($products_count);
        $data['category_sales'] = ($category_sales);
        return view('admin/reports/category_report', $data);
        
    }

    // Service Categories Report
    public function services_category_report(){

        $data['breadcrumb'] = 'Service Category Reports';
        // Products by Category
        $query = $this->db->query("SELECT COUNT(service_id) as total, service_category as category FROM services GROUP BY service_category");
        $record = $query->getResult();
        $products_count = [];
        foreach ($record as $row) {
            $builder = $this->db->query("SELECT service_type_name FROM service_types where service_type_id='$row->category'");
            $result = $builder->getRow();
            $products_count[] = array(
                'category'   => $result->service_type_name,
                'sell' => floatval($row->total)
            );
        }

        // Category Sales
        $sales_query = $this->db->query("SELECT SUM(s_order_total) as total, s_category as category FROM service_orders GROUP BY s_category");
        $sales_record = $sales_query->getResult();
        $category_sales = [];

        foreach ($sales_record as $row) {
            $builder = $this->db->query("SELECT service_type_name FROM service_types where service_type_id='$row->category'");
            $result = $builder->getRow();
            $category_sales[] = array(
                'category'   => $result->service_type_name,
                'sell' => floatval($row->total)
            );
        }

        $data['products_count'] = ($products_count);
        $data['category_sales'] = ($category_sales);
        return view('admin/reports/service_category_report', $data);
    }

    // Markets Report
    public function markets_report(){
        $data['breadcrumb'] = 'Markets Reports';
        // Products by Market
        $query = $this->db->query("SELECT COUNT(product_id) as total, product_market as market FROM products GROUP BY product_market");
        $record = $query->getResult();
        $products_count = [];
        foreach ($record as $row) {
            $builder = $this->db->query("SELECT market_name FROM markets where market_id='$row->market'");
            $result = $builder->getRow();
            $products_count[] = array(
                'market'   => $result->market_name,
                'sell' => floatval($row->total)
            );
        }

        // Sales by Market
        $sales_query = $this->db->query("SELECT SUM(order_total) as total, prod_market as market FROM orders GROUP BY prod_market");
        $sales_record = $sales_query->getResult();
        $market_sales = [];

        foreach ($sales_record as $row) {
            $builder = $this->db->query("SELECT market_name FROM markets where market_id='$row->market'");
            $result = $builder->getRow();
            $market_sales[] = array(
                'market'   => $result->market_name,
                'sell' => floatval($row->total)
            );
        }

        // Sales table by Market
        $sales_table_query = $this->db->query("SELECT SUM(order_total) as total, prod_market as market FROM orders GROUP BY prod_market");
        $data['sales_table'] = $sales_table_query->getResult();
        $data['db'] = $this->db;
        $data['products_count'] = ($products_count);
        $data['market_sales'] = ($market_sales);
        return view('admin/reports/market_report', $data);
    }

    // Districts Report
    public function districts_report(){

        $data['breadcrumb'] = 'Districts Reports';

        // Sales table by Market
        $query = $this->db->query("SELECT SUM(order_total) as total, prod_district as district FROM orders GROUP BY prod_district");
        $data['sales'] = $query->getResult();
        $data['db'] = $this->db;
        return view('admin/reports/districts_report', $data);
    }

    // Service Districts Report
    public function services_districts_report(){

        $data['breadcrumb'] = 'Districts Reports';

        // Sales table by Market
        $query = $this->db->query("SELECT SUM(s_order_total) as total, s_district as district FROM service_orders GROUP BY s_district");
        $data['sales'] = $query->getResult();
        $data['db'] = $this->db;
        return view('admin/reports/services_districts_report', $data);
    }

    // Sellers Report
    public function sellers_report(){

        $data['breadcrumb'] = 'Sellers Reports';

        // Sales table by Market
        $query = $this->db->query("SELECT SUM(order_total) as total, vendor_id as vendor FROM orders GROUP BY vendor_id");
        $data['sales'] = $query->getResult();
        $data['db'] = $this->db;
        return view('admin/reports/sellers_report', $data);
    }

    // Sellers Service Reports
    public function services_sellers_report(){

        $data['breadcrumb'] = 'Sellers Reports';

        // Sales table by Market
        $query = $this->db->query("SELECT SUM(s_order_total) as total, s_vendor_id as vendor FROM service_orders GROUP BY s_vendor_id");
        $data['sales'] = $query->getResult();
        $data['db'] = $this->db;
        return view('admin/reports/services_sellers_report', $data);
    }

    // Customers Report
    public function customers_report(){

        $data['breadcrumb'] = 'Customers Reports';

        // Sales table by Market
        $query = $this->db->query("SELECT SUM(order_total) as total, user_id as customer FROM orders GROUP BY user_id");
        $data['sales'] = $query->getResult();
        $data['db'] = $this->db;
        return view('admin/reports/customer_report', $data);
    }

    // Services Customer Reports
    public function services_customers_report(){

        $data['breadcrumb'] = 'Customers Reports';

        // Sales table by Market
        $query = $this->db->query("SELECT SUM(s_order_total) as total, s_user_id as customer FROM service_orders GROUP BY s_user_id");
        $data['sales'] = $query->getResult();
        $data['db'] = $this->db;
        return view('admin/reports/services_customers_report', $data);
    }
}
