<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;
use App\Models\Admin\HomeSlidersModel;

class WebSettings extends BaseController
{
    public $sliders;
    public $db;
    public $session;

    public function __construct()
    {
        $this->sliders = new HomeSlidersModel();
        $this->db = \Config\Database::connect();
        $this->session = session();
    }

    public function home_sliders()
    {
        $data['breadcrumb'] = 'Home Sliders';
        $data['sliders'] = $this->sliders->getSliders();
        return view('admin/web_settings/slider_settings', $data);
    }

    public function edit_slider($id)
    {

        $data['breadcrumb'] = 'Edit Slider';
        $data['slider'] = $this->sliders->getSliderId($id);

        if ($this->request->getMethod() == 'post') {

            $rules = [
                'title' => 'required',
                'subtitle' => 'required',
            ];

            $messages = [
                'title' => [
                    'required' => 'Slider title is required'
                ],
                'subtitle' => [
                    'required' => 'Slider sub-title is required'
                ],
            ];

            if (!$this->validate($rules, $messages)) {
                $data['validation'] = $this->validator;
            } else {

                if (!empty($_FILES['image']['name'])) {
                    // Unlink old image
                    $findFile = $this->sliders->getSliderId($id);
                    $old_img = $findFile->slider_image;
                    $imagePath = 'public/uploads/sliders/' . $old_img;

                    if (file_exists($old_img)) {
                        unlink('public/uploads/sliders/' . $old_img);
                    }

                    $image = $this->request->getFile('image');
                    $new_image = $image->getRandomName();
                }

                $data = [
                    'slider_title' => $this->request->getVar('title'),
                    'slider_sub' => $this->request->getVar('subtitle'),
                    'slider_image' => (!empty($_FILES['image']['name']) ? $new_image : $this->request->getVar('old_image')),
                ];

                $result = $this->sliders->update($id, $data);

                if ($result) {

                    if (!empty($_FILES['image']['name'])) {
                        $image->move('public/uploads/sliders', $new_image);
                    }
                    $this->session->setTempdata('success', 'Slider updated successfully', 3);
                    return redirect()->to(current_url());
                } else {
                    $this->session->setTempdata('error', 'Sorry! Slider could not be updated, try again', 3);
                    return redirect()->to(current_url());
                }
            }
        }

        return view('admin/web_settings/edit_slider', $data);
    }
}
