<?php

namespace App\Controllers\Seller;

use App\Controllers\BaseController;
use App\Models\Vendor\ProductRequestsModel;

class Requests extends BaseController
{
    public $requests;
    public $session;
    public $db;

    public function __construct()
    {
        $this->requests = new ProductRequestsModel();
        $this->db = \Config\Database::connect();
        $this->session = session();
    }

    public function index()
    {
        $user_id = user()->id;
        $data['breadcrumb'] = 'Requests';
        $data['requests'] = $this->requests->getRequests($user_id);
        return view('vendors/requests/requests_list', $data);
    }

    // View Requests
    public function view_request($id)
    {
        $user_id = user()->id;
        $data['breadcrumb'] = 'Requests Details';
        $data['request'] = $this->requests->getRequestDetails($id);
        $this->db->query("UPDATE product_requests SET read_status=1 WHERE vendor_id='$user_id' AND request_id='$id'");
        return view('vendors/requests/request_details', $data);
    }

    // Confirm product requests
    public function confirm_product_request($id)
    {
        $data['breadcrumb'] = 'Confirm Request';
        $data['request'] = $this->requests->getRequestDetails($id);
        if ($this->request->getMethod() == 'post') {
            $rules = [
                'status' => 'required',
            ];
            $messages = [
                'status' => [
                    'required' => 'Please select invoice status'
                ]
            ];
            if (!$this->validate($rules, $messages)) {
                $data['validation'] = $this->validator;
            } else {

                $data = [
                    'request_status' => $this->request->getVar('status'),
                ];
                $result = $this->requests->update($id, $data);
                if ($result) {
                    $this->session->setTempdata('success', 'Request accepted successfully', 3);
                    return redirect()->to(site_url('seller/product-requests'));
                } else {
                    $this->session->setTempdata('error', 'Sorry! Request could not be updated, try again', 3);
                    return redirect()->to(site_url('seller/product-requests'));
                }
            }
        }

        return view('vendors/requests/accept_request', $data);
    }

    // Cancel product requests
    public function cancel_product_request($id)
    {
        $data['breadcrumb'] = 'Cancel Request';
        $data['request'] = $this->requests->getRequestDetails($id);
        if ($this->request->getMethod() == 'post') {
            $rules = [
                'status' => 'required',
            ];
            $messages = [
                'status' => [
                    'required' => 'Please select invoice status'
                ]
            ];
            if (!$this->validate($rules, $messages)) {
                $data['validation'] = $this->validator;
            } else {

                $data = [
                    'request_status' => $this->request->getVar('status'),
                ];
                $result = $this->requests->update($id, $data);
                if ($result) {
                    $this->session->setTempdata('success', 'Request cancelled successfully', 3);
                    return redirect()->to(site_url('seller/product-requests'));
                } else {
                    $this->session->setTempdata('error', 'Sorry! Request could not be cancelled, try again', 3);
                    return redirect()->to(site_url('seller/product-requests'));
                }
            }
        }

        return view('vendors/requests/cancel_request', $data);
    }
}
