<?php

namespace App\Controllers\Web;

use App\Controllers\BaseController;
use App\Models\Web\VendorsModel;
use App\Models\Web\DistrictsModel;
use App\Models\Vendor\ProductRatingModel;

class Vendors extends BaseController
{
    public $vendors;
    public $districts;
    public $session;
    public $rating;
    public $auth;
    public $db;
    public $pager;

    public function __construct()
    {
        $this->vendors = new VendorsModel();
        $this->districts = new DistrictsModel();
        $this->rating = new ProductRatingModel();
        $this->auth = service('authentication');
        $this->db = \Config\Database::connect();
        $this->session = session();
        $pager = \Config\Services::pager();
    }

    public function vendors()
    {

        // 'requests' => $requests->orderBy('request_id', 'DESC')->paginate(5),
        // 'pager' => $requests->pager,
        $data['page_title'] = 'Vendors';

        $data['all_districts'] = $this->districts->getAllDistricts();
        $data['vendors'] = $this->vendors->getVendors();
        $data['pager'] = $this->vendors->pager;
        return view('web/vendors/vendors', $data);
    }

    public function seller_district_ajax()
    {

        if (isset($_POST["action"])) {

            $response = '<ul><li>No data found!</li></ul>';

            $query = "SELECT * FROM districts";

            if (isset($_POST["district"])) {
                $districts_filter = $_POST["district"];
                $query = "SELECT * FROM districts WHERE district_name LIKE '%$districts_filter%'";
            }

            $statement = $this->db->query($query);
            $result = $statement->getResult();
            $output = '';
            if ($result) {
                $response = '<ul>';
                foreach ($result as $row) {
                    $response .= '<li><a href="' . site_url("seller-search/district/" . $row->district_slug) . '">' . $row->district_name . '</a></li>';
                }
                $response .= '</ul>';
            }

            exit($response);
        } else {
            $response = '<ul><li>No data found!</li></ul>';
            $query = "SELECT * FROM districts";
            $statement = $this->db->query($query);
            $result = $statement->getResult();
            $output = '';
            if ($result) {
                $response = '<ul>';
                foreach ($result as $row) {
                    $response .= '<li><a href="' . site_url("seller-search/district/" . $row->district_slug) . '">' . $row->district_name . '</a></li>';
                }
                $response .= '</ul>';
            }

            exit($response);
        }
    }

    // Vendor Profile
    public function vendor_details($slug)
    {
        $user_id = $this->vendors->getVendorProfile($slug);
        $data['page_title'] = $user_id->store_name;
        $data['vendor_data'] = $this->vendors->getVendorProfile($slug);
        $data['requests'] = $this->vendors->countRequests($user_id->id);
        $data['reviews'] = $this->vendors->countReviews($user_id->id);
        $data['similar_vendors'] = $this->vendors->getSimilarVendors($user_id->market);
        // Product reviews
        $data['_5Star'] = $this->vendors->_5Star($user_id->id);
        $data['_4Star'] = $this->vendors->_4Star($user_id->id);
        $data['_3Star'] = $this->vendors->_3Star($user_id->id);
        $data['_2Star'] = $this->vendors->_2Star($user_id->id);
        $data['_1Star'] = $this->vendors->_1Star($user_id->id);
        // Products
        $data['products'] = $this->vendors->getVendorProducts($user_id->id);
        $data['count_prods'] = $this->vendors->countProducts($user_id->id);
        // Services
        $data['services'] = $this->vendors->getVendorServices($user_id->id);
        $data['count_services'] = $this->vendors->countServices($user_id->id);
        $data['auth'] = $this->auth;
        return view('web/vendors/vendor_profile', $data);
    }

    // Search by District
    public function search_by_district()
    {

        $data['page_title'] = "Sellers";

        $data['all_districts'] = $this->districts->getAllDistricts();
        $district_id = $this->request->getVar('district_id');
        $result = $this->db->query("SELECT * FROM districts WHERE district_id='$district_id'");
        $data['count'] = $this->vendors->countVendors($district_id);
        $data['district'] = $result->getRow();
        $data['sellers'] = $this->vendors->getVendorsByDistrict($district_id);
        return view('web/vendors/vendors', $data);
    }

    public function provider_profile()
    {
        return view('web/provider_profile');
    }

    public function vendor_profile()
    {
        return view('web/vendor_profile');
    }
}
