<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class ServiceTypes extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'service_type_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'service_type_name' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'service_type_slug' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'service_type_thumb' => [
                'type' => 'VARCHAR',
                'constraint' => '60',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('service_type_id', true);
        $this->forge->addUniqueKey('service_type_name');
        $this->forge->createTable('service_types');
    }

    public function down()
    {
        $this->forge->dropTable('service_types');
    }
}
