<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Markets extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'market_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'market_name' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'market_slug' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'market_district' => [
                'type' => 'VARCHAR',
                'constraint' => '100',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('market_id', true);
        $this->forge->addUniqueKey('market_name');
        $this->forge->createTable('markets');
    }

    public function down()
    {
        $this->forge->dropTable('markets');
    }
}
