<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Services extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'service_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'service_ref' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'service_category' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'service_vendor' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'service_name' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'service_slug' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'service_keywords' => [
                'type' => 'VARCHAR',
                'constraint' => '255',
            ],
            'service_meta_desc' => [
                'type' => 'VARCHAR',
                'constraint' => '255',
            ],
            'service_desc' => [
                'type' => 'TEXT',
            ],
            'service_image' => [
                'type' => 'VARCHAR',
                'constraint' => '60',
            ],
            'sku' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'service_unit' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'service_price' => [
                'type' => 'INT',
                'constraint' => '20',
            ],
            'service_discount' => [
                'type' => 'FLOAT',
                'constraint' => '10',
            ],
            'service_status' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('service_id', true);
        $this->forge->addUniqueKey('service_name');
        $this->forge->createTable('services');
    }

    public function down()
    {
        $this->forge->dropTable('services');
    }
}
