<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Orders extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'order_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'order_invoice' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'user_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'vendor_id'  => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'prod_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'pro_order_unit' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'order_qty' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'order_total' => [
                'type' => 'FLOAT',
                'constraint' => '50',
            ],
            'order_discount' => [
                'type' => 'FLOAT',
                'constraint' => '50',
            ],
            'payment_status' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'order_status' => [
                'type' => 'INT',
                'constraint' => '10',
            ],
            'order_created' => [
                'type' => 'DATETIME',
            ],
            'order_updated' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('order_id', true);
        $this->forge->createTable('orders');
    }

    public function down()
    {
        $this->forge->dropTable('orders');
    }
}
