<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Complaints extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'complaint_id' => [
                'type' => 'INT',
                'constraint' => '10',
                'unsigned' => true,
                'auto_increment' => true,
            ],
            'user_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'vendor_id' => [
                'type' => 'VARCHAR',
                'constraint' => '10',
            ],
            'complaint_title' => [
                'type' => 'VARCHAR',
                'constraint' => '200',
            ],
            'complaint_desc' => [
                'type' => 'TEXT',
            ],
            'complaint_file' => [
                'type' => 'VARCHAR',
                'constraint' => '60',
            ],
            'created_at' => [
                'type' => 'DATETIME',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
            ],
        ]);

        $this->forge->addKey('complaint_id', true);
        $this->forge->createTable('complaints');
    }

    public function down()
    {
        $this->forge->dropTable('complaints');
    }
}
