<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class Categories extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'categories';
    protected $primaryKey       = 'category_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['category_name', 'category_slug', 'category_thumb'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Fetch Categories
    public function getCategories(){
        $builder = $this->db->table('categories');
        $builder->orderBy('category_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Category ID
    public function getCategoryID($id){
        $builder = $this->db->table('categories');
        $builder->where(['category_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
    
}
