<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class FarmerGroupsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'farm_groups';
    protected $primaryKey       = 'group_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['group_name', 'group_slug', 'group_logo'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Fetch Groups
    public function getGroups()
    {
        $builder = $this->db->table('farm_groups');
        $builder->orderBy('group_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }
    
    // Get Group ID
    public function getGroupID($id)
    {
        $builder = $this->db->table('farm_groups');
        $builder->where(['group_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
