<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class HomeSlidersModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'home_slider';
    protected $primaryKey       = 'slider_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['slider_title', 'slider_sub', 'slider_image'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'slider_created_at';
    protected $updatedField  = 'slider_updated_at';

    // Get sliders
    public function getSliders(){
        $builder = $this->db->table('home_slider');
        $builder->orderBy('slider_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    public function getSliderId($id){
        $builder = $this->db->table('home_slider');
        $builder->where('slider_id', $id);
        $result = $builder->get()->getRow();
        return $result;
    }
    
}
