<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class RequestsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'product_requests';
    protected $primaryKey       = 'request_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    // Get Requests
    public function getRequests()
    {
        $builder = $this->db->table('product_requests');
        $builder->join('users', 'users.id=product_requests.user_id');
        $builder->orderBy('request_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    public function getRequestDetails($id)
    {
        $builder = $this->db->table('product_requests');
        $builder->join('users', 'users.id=product_requests.user_id');
        $builder->where(['request_ref' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
