<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class ServiceUnitsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'service_units';
    protected $primaryKey       = 'service_unit_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['service_unit_name'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Get units
    public function getServiceUnits()
    {
        $builder = $this->db->table('service_units');
        $builder->orderBy('service_unit_id', 'ASC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Fetch service by id
    public function getServiceUnitID($id)
    {
        $builder = $this->db->table('service_units');
        $builder->where(['service_unit_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
