<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class UnitsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'units';
    protected $primaryKey       = 'unit_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['unit_name', 'unit_shortname'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    // Fetch Units
    public function getUnits(){
        $builder = $this->db->table('units');
        $builder->orderBy('unit_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get Unit ID
    public function getUnitID($id){
        $builder = $this->db->table('units');
        $builder->where(['unit_id' => $id]);
        $result = $builder->get()->getRow();
        return $result;
    }
}
