<?php

namespace App\Models\Api\Web;

use CodeIgniter\Model;

class MarketsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'markets';
    protected $primaryKey       = 'market_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    // Home Markets
    public function listHomeMarkets()
    {
        $builder = $this->db->table('markets');
        $builder->select('markets.*, districts.district_name as district');
        $builder->join('districts', 'districts.district_id=markets.market_district');
        $builder->orderBy('market_id', 'DESC');
        $result = $builder->get(24)->getResult();
        return $result;
    }

    // List Products by Market
    public function listMarketProducts($id)
    {
        $builder = $this->db->table('products');
        $builder->select('products.*, categories.category_name as category, users.store_name as seller');
        $builder->join('users', 'users.id=products.product_vendor');
        $builder->join('categories', 'categories.category_id=products.product_category');
        $builder->where('product_market', $id);
        $result = $builder->get()->getResult();
        return $result;
    }
}
