<?php

namespace App\Models\Forum;

use CodeIgniter\Model;

class FarmerGroups extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'farm_groups';
    protected $primaryKey       = 'group_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    // Fetch groups
    public function getGroups()
    {
        $builder = $this->db->table('farm_groups');
        $builder->orderBy('group_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }

    // Get group topics
    public function getGroupTopics($id)
    {
        $builder = $this->db->table('forum_topics');
        $builder->join('users', 'users.id=forum_topics.topic_author');
        $builder->join('farm_groups', 'farm_groups.group_id=forum_topics.topic_group_id');
        $builder->where(['topic_group_id' => $id]);
        $builder->orderBy('topic_id', 'DESC');
        $result = $builder->get()->getResult();
        return $result;
    }
}
