<?php

namespace App\Models\Vendor;

use CodeIgniter\Model;

class UserSettingsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'users';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['phone', 'dob', 'email', 'market', 'district', 'address', 'profile_image'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';

    public function getUser($user_id)
    {
        $builder = $this->db->table('users');
        $builder->join('markets', 'markets.market_id=users.market');
        $builder->join('districts', 'districts.district_id=users.district');
        $builder->where('id', $user_id);
        return $builder->get()->getRow();
    }
}
