<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class HomeModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'homes';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = [];

    // Product highlights
    public function market_highlights()
    {

        $builder = $this->db->table('products');
        $builder->join('categories', 'categories.category_id=products.product_category');
        $builder->join('markets', 'markets.market_id=products.product_market');
        $builder->join('districts', 'districts.district_id=products.product_district');
        $builder->join('units', 'units.unit_id=products.product_unit');
        $builder->groupBy('product_category');
        // $builder->distinct('product_category');
        $builder->orderBy('product_price', 'DESC');
        return $builder->get(5)->getResult();
    }

    // Service Highlights
    public function service_highlights()
    {

        $builder = $this->db->table('services');
        $builder->join('service_types', 'service_types.service_type_id=services.service_category');
        $builder->join('districts', 'districts.district_id=services.service_district');
        $builder->join('service_units', 'service_units.service_unit_id=services.service_unit');
        // $builder->groupBy('service_category');
        $builder->distinct('service_category');
        $builder->orderBy('service_price', 'DESC');
        return $builder->get(5)->getResult();
    }
}
