<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class ServiceOrdersModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'service_orders';
    protected $primaryKey       = 's_order_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['s_order_invoice', 's_user_id', 's_vendor_id', 's_service_id', 's_service_unit', 's_category', 's_district', 's_order_qty', 's_service_unit_price', 's_order_total', 's_order_discount', 's_payment_status', 's_order_status', 'read_status'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 's_order_created';
    protected $updatedField  = 's_order_updated';

    // Get product market
    public function getServiceData($id)
    {
        $builder = $this->db->table('services');
        $builder->where('service_id', $id);
        $result = $builder->get()->getRow();
        return $result;
    }
}
