<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class UserRegistrationModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'users';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['firstname', 'lastname', 'slug', 'dob', 'billing_names', 'phone', 'billing_phone', 'email', 'category', 'address', 'billing_address', 'district', 'billing_district', 'billing_city', 'market', 'username', 'store_name', 'store_tagline', 'status', 'password_hash', 'active', 'verification'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';
    protected $deletedField  = 'deleted_at';
}
