<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Service Types
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/service-types') ?>" class="btn btn-sm btn-success"> Type List</a>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <?php if (isset($validation)) : ?>
                        <div class="alert alert-danger" role="alert">
                            <?= $validation->listErrors() ?>
                        </div>
                    <?php endif; ?>

                    <?php if (session()->getTempdata('error')) : ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <i class="fa fa-times-circle"></i> <?= session()->getTempdata('error'); ?>
                        </div>
                    <?php endif; ?>

                    <div class="body">
                        <form id="basic-form" method="post" action="<?= site_url('admin/add-service-type') ?>" enctype="multipart/form-data" novalidate>
                            <?= csrf_field() ?>
                            <div class="form-group">
                                <label>Service Type <span class="text-danger">*</span></label>
                                <input type="text" name="name" class="form-control" value="<?= set_value('name') ?>" required>
                            </div>
                            <div class="form-group">
                                <label>Service Type Slug <span class="text-success">(Auto-generated)</span></label>
                                <input type="text" class="form-control" readonly>
                            </div>
                            <div class="form-group">
                                <label>Type Thumb <span class="text-danger">*</span></label>
                                <input type="file" name="image" class="form-control-file" required>
                                <small class="text-success">Dimensions 120x120px</small>
                            </div>
                            <br>
                            <button type="submit" class="btn btn-primary">Save Data</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>