<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Service Types
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/add-service-type') ?>" class="btn btn-sm btn-success"><i class="fa fa-plus" aria-hidden="true"></i> Add Type</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Image</th>
                                        <th>Type Name</th>
                                        <th>Slug</th>
                                        <th>Created</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($types as $type) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= esc($no); ?></td>
                                            <td>
                                                <?php if (!empty(esc($type->service_type_thumb))) : ?>
                                                    <img src="<?= base_url('public/uploads/services/types/thumbs/' . esc($type->service_type_thumb)) ?>" alt="Category" class="img-fluid img-thumbnail">
                                                <?php else : ?>
                                                    <img src="<?= base_url('public/uploads/defaults/category.png') ?>" alt="Category" class="img-fluid">
                                                <?php endif; ?>
                                            </td>
                                            <td><?= esc($type->service_type_name) ?></td>
                                            <td><?= strtolower(esc($type->service_type_slug)) ?></td>
                                            <td><?= date('d M, Y', strtotime(esc($type->created_at))) ?></td>
                                            <td><span class="badge badge-success">Active</span></td>
                                            <td>
                                                <a href="<?= site_url('admin/edit_service_type/' . esc($type->service_type_id)) ?>" data-toggle="tooltip" data-placement="top" title="Edit" class="btn btn-sm btn-icon btn-info"><i class="icon-pencil"></i></a>
                                                <a href="<?= site_url('admin/delete_service_type/' . esc($type->service_type_id)) ?>" data-toggle="tooltip" data-placement="top" title="Delete" class="btn btn-sm btn-icon btn-danger"><i class="icon-trash"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>