<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Customers
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Image</th>
                                    <th>Names</th>
                                    <th>Phone</th>
                                    <th>Purchases</th>
                                    <th>Status</th>
                                    <th>Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $no = 0; ?>
                                <?php foreach ($customers as $customer) : ?>
                                    <?php $no++; ?>
                                    <?php
                                    $builder = $db->table('orders');
                                    $builder->where(['user_id' => $customer->id]);
                                    $query = $builder->countAllResults();

                                    $sBuilder = $db->table('service_orders');
                                    $sBuilder->where(['s_user_id' => $customer->id]);
                                    $sQuery = $sBuilder->countAllResults();
                                    ?>
                                    <tr>
                                        <td><?= $no ?></td>
                                        <td>
                                            <?php if (!empty($customer->profile_image)) : ?>
                                                <img src="<?= base_url('public/uploads/users/profiles/' . $customer->profile_image) ?>" alt="Profile" class="img-fluid">
                                            <?php else : ?>
                                                <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Category" class="img-fluid">
                                            <?php endif; ?>
                                        </td>
                                        <td><?= $customer->firstname . " " . $customer->lastname ?></td>
                                        <td><?= $customer->phone ?></td>
                                        <td><?= $query + $sQuery ?></td>
                                        <td>
                                            <span class="badge badge-success">Verified</span>
                                        </td>
                                        <td><?= date('d M, Y', strtotime(esc($customer->created_at))) ?></td>
                                        <td>
                                            <a href="<?= site_url('admin/customer-profile/' . $customer->id) ?>" data-toggle="tooltip" data-placement="top" title="Edit" class="btn btn-sm btn-icon btn-info"><i class="icon-pencil"></i></a>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>