<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Products
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-4">
                <div class="card">
                    <div class="body">
                        <div class="product-image text-center">
                            <img src="<?= base_url('public/uploads/products/products/' . $product->product_image) ?>" alt="Product Image" class="img-fluid" style="width: 100%;">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8">
                <div class="card">
                    <div class="body">
                        <p><strong>Category: </strong> <span class="badge badge-warning category"><?= esc($product->category_name) ?></span></p>
                        <h5 class="product-name mt-4"><?= esc($product->product_name) ?></h5>
                        <p class="description"><?= $product->product_desc ?></p>
                        <div class="price d-flex">
                            <h5 class="my-auto"><strong>Ugx</strong></h5>
                            <h4 class="my-auto"> &nbsp;<strong><?= number_format($product->product_price) ?></strong></h4>
                            <span class="my-auto"> &nbsp;&nbsp;/ <?= $product->unit_shortname ?></span>
                        </div>
                        <div class="rating mt-3">

                            <?php $i = 0; ?>
                            <?php if ($countRating > 0) : ?>
                                <?php
                                $sum_rating = $sumRating;
                                $rating_value = $sum_rating / $countRating;
                                $rate_avg = ($rating_value / 5) * 100;
                                ?>
                                <?php if ($rating_value == 1 || $rating_value < 2) : ?>
                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <?php for ($i; $i < 4; $i++) : ?>
                                        <i class="fa fa-star" aria-hidden="true"></i>
                                    <?php endfor; ?>
                                <?php elseif ($rating_value == 2 || $rating_value < 3) : ?>
                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <?php for ($i; $i < 3; $i++) : ?>
                                        <i class="fa fa-star" aria-hidden="true"></i>
                                    <?php endfor; ?>
                                <?php elseif ($rating_value == 3 || $rating_value < 4) : ?>
                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <?php for ($i; $i < 2; $i++) : ?>
                                        <i class="fa fa-star" aria-hidden="true"></i>
                                    <?php endfor; ?>
                                    <!-- 4 Star -->
                                <?php elseif ($rating_value == 4 || $rating_value < 5) : ?>
                                    <?php for ($i; $i < 4; $i++) : ?>
                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <?php endfor; ?>
                                    <i class="fa fa-star" aria-hidden="true"></i>
                                <?php else : ?>
                                    <?php for ($i; $i < 5; $i++) : ?>
                                        <i class="fa fa-star orange" aria-hidden="true"></i>
                                    <?php endfor; ?>
                                <?php endif; ?>

                            <?php else : ?>
                                <?php for ($i; $i < 5; $i++) : ?>
                                    <i class="fa fa-star" aria-hidden="true"></i>
                                <?php endfor; ?>
                            <?php endif; ?>

                            <?php if (!empty($rating_value)) : ?>
                                <span>&nbsp;(<?= $rating_value ?>&nbsp; Average Rating)</span>
                            <?php else : ?>
                                <span>&nbsp;(0&nbsp; Average Rating)</span>
                            <?php endif; ?>
                        </div>

                        <div class="seller mt-2">
                            <h6><strong>Seller: </strong><?= $product->store_name ?></h6>
                        </div>

                    </div>
                </div>
            </div>
            <!-- Reviews -->
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <ul class="nav nav-tabs3">
                            <li class="nav-item"><a class="nav-link active show" data-toggle="tab" href="#description">Description</a></li>
                            <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#reviews">Reviews</a></li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane show active pt-1" id="description">
                                <p><?= $product->product_desc ?></p>
                            </div>
                            <div class="tab-pane pt-1" id="reviews">
                                <?php if ($reviews) : ?>
                                    <div class="bs-example" data-example-id="media-alignment">
                                        <?php foreach ($reviews as $review) : ?>
                                            <div class="media">
                                                <div class="media-left">
                                                    <a href="javascript:void(0);">
                                                        <?php if (!empty($review->profile_image)) : ?>
                                                            <img alt="" class="media-object rounded" src="<?= base_url('public/uploads/users/profiles/' . $review->profile_image) ?>" width="64" height="64">
                                                        <?php else : ?>
                                                            <img alt="Profile" class="media-object rounded" src="<?= base_url('public/uploads/defaults/user.png') ?>" width="64" height="64">
                                                        <?php endif; ?>
                                                    </a>
                                                </div>
                                                <div class="media-body">
                                                    <h4 class="media-heading"><?= $review->review_title ?></h4>
                                                    <div class="rating py-2">
                                                        <?php $i = 0; ?>
                                                        <?php if ($review->review_rating == 1) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                            <?php for ($i; $i < 4; $i++) : ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php endfor; ?>
                                                        <?php elseif ($review->review_rating == 2) : ?>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                            <i class="fa fa-star orange" aria-hidden="true"></i>
                                                            <?php for ($i; $i < 3; $i++) : ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php endfor; ?>
                                                        <?php elseif ($review->review_rating == 3) : ?>
                                                            <?php for ($i; $i < 3; $i++) : ?>
                                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                                            <?php endfor; ?>
                                                            <i class="fa fa-star" aria-hidden="true"></i>
                                                            <i class="fa fa-star" aria-hidden="true"></i>
                                                        <?php elseif ($review->review_rating == 4) : ?>
                                                            <?php for ($i; $i < 4; $i++) : ?>
                                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                                            <?php endfor; ?>
                                                            <i class="fa fa-star" aria-hidden="true"></i>
                                                        <?php elseif ($review->review_rating == 5) : ?>
                                                            <?php for ($i; $i < 5; $i++) : ?>
                                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                                            <?php endfor; ?>
                                                        <?php else : ?>
                                                            <?php for ($i; $i < 5; $i++) : ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php endfor; ?>
                                                        <?php endif; ?>
                                                        &nbsp; | &nbsp;<strong>By: </strong><?= $review->firstname . " " . $review->lastname ?>
                                                        &nbsp;
                                                        <?php
                                                        $db_date = date('d-m-Y', strtotime($review->r_created_at));
                                                        $myDate = date("y-m-d h:i:s");
                                                        $now_date = date('d-m-Y', strtotime($myDate));
                                                        $review_date = date_create($db_date);
                                                        $today = date_create($now_date);
                                                        $dateDiff = date_diff($review_date, $today);
                                                        ?>
                                                        | <span class="badge badge-success"><?= $dateDiff->format('%a days') ?> ago</span>
                                                    </div>
                                                    <p><?= $review->review_desc ?></p>
                                                </div>
                                            </div>
                                        <?php endforeach; ?>
                                    </div>
                                <?php else : ?>
                                    <h6><strong>No Reviews found</strong></h6>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>