<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Products
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Image</th>
                                        <th>Products Name</th>
                                        <th>Farmer</th>
                                        <th>Price(Ugx)</th>
                                        <th>Uploaded</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    <?php $no = 0; ?>
                                    <?php foreach ($products as $product) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><img src="<?= base_url('public/uploads/products/products/' . $product->product_image) ?>" alt="Product" class="img-fluid"></td>
                                            <td><?= substr($product->product_name, 0, 20) . "..." ?></td>
                                            <td><?= $product->store_name ?></td>
                                            <td><?= number_format($product->product_price) ?> (<?= $product->unit_shortname ?>)</td>
                                            <td><?= date('d M, Y', strtotime($product->created_at)) ?></td>
                                            <td>
                                                <?php if ($product->product_status == 1) : ?>
                                                    <span class="badge badge-success">Active</span>
                                                <?php else : ?>
                                                    <span class="badge badge-danger">Banned</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <a href="<?= site_url('admin/product-details/' . $product->product_id) ?>" data-toggle="tooltip" data-placement="top" title="View" class="btn btn-icon btn-info"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>