<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Email Settings
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <?php if (isset($validation)) : ?>
                        <div class="alert alert-danger" role="alert">
                            <?= $validation->listErrors() ?>
                        </div>
                    <?php endif; ?>

                    <?php if (session()->getTempdata('error')) : ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <i class="fa fa-times-circle"></i> <?= session()->getTempdata('error'); ?>
                        </div>
                    <?php endif; ?>

                    <div class="body">
                        <form id="basic-form" method="post" action="<?= site_url('admin/update-organsettings/' . $settings->id) ?>" enctype="multipart/form-data" novalidate>
                            <?= csrf_field() ?>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>logo</label>
                                        <input type="file" name="logo" class="form-control-file">
                                        <input type="text" name="old_logo" class="form-control" value="<?= $settings->logo ?>" hidden>
                                    </div>
                                    <img src="<?= base_url('public/uploads/template/' . $settings->logo) ?>" alt="Logo" class="img-fluid" width="200">
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Favicon</label>
                                        <input type="file" name="favicon" class="form-control-file">
                                        <input type="text" name="old_favicon" class="form-control" value="<?= $settings->favicon ?>" hidden>
                                    </div>
                                    <img src="<?= base_url('public/uploads/template/' . $settings->favicon) ?>" alt="Favicon" class="img-fluid" width="40">
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Footer Text <span class="text-danger">*</span></label>
                                        <textarea name="footer_text" class="form-control" rows="4"><?= $settings->footer_text ?></textarea>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <label>Contact Info <span class="text-danger">*</span></label>
                                    <textarea name="contact_info" class="form-control" rows="4"><?= $settings->contact_info ?></textarea>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Emails <span class="text-danger">*</span></label>
                                        <input type="text" name="emails" class="form-control" value="<?= $settings->emails ?>" required>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label>Mobiles <span class="text-danger">*</span></label>
                                        <input type="text" name="mobiles" class="form-control" value="<?= $settings->mobiles ?>" required>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label>Copyright Text <span class="text-danger">*</span></label>
                                        <input type="text" name="copyright" class="form-control" value="<?= $settings->copyright ?>" required>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <button type="submit" class="btn btn-primary">Update Data</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>