<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Cancelled Transactions
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Product</th>
                                        <th>Type</th>
                                        <th>Seller</th>
                                        <th>Customer</th>
                                        <th>Price(Ugx)</th>
                                        <th>Status</th>
                                        <th>Date</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($orders as $order) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= substr($order->service_name, 0, 20) . ".."; ?></td>
                                            <td><span class="badge badge-info">Service</span></td>
                                            <td><?= $order->firstname . " " . $order->lastname ?></td>
                                            <td><?= number_format($order->s_order_total) ?></td>
                                            <td>
                                                <?php if (esc($order->s_order_status) == 1) : ?>
                                                    <span class="badge badge-success">Completed</span>
                                                <?php elseif (esc($order->s_order_status) == 2) : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php else : ?>
                                                    <span class="badge badge-danger">Cancelled</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($order->s_order_created))) ?></td>
                                            <td>
                                                <a href="<?= site_url('admin/service_invoice/' . $order->s_order_id) ?>" data-toggle="tooltip" data-placement="top" title="View" class="btn btn-sm btn-icon btn-info"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>