<!doctype html>
<html lang="en">
<?php $db = \Config\Database::connect(); ?>
<?php
// Unread orders
$unread_or = $db->query("SELECT * FROM orders INNER JOIN products ON products.product_id=orders.prod_id WHERE vendor_id=" . user()->id . " AND read_status=0");
$order_results = $unread_or->getResult();
// Count unread orders
$count_orders = $db->table('orders');
$count_orders->selectCount('order_id');
$count_orders->where(['vendor_id' => user()->id, 'read_status' => 0]);
$order_sum = $count_orders->countAllResults();

// Unread service orders
$unread_ser = $db->query("SELECT * FROM service_orders INNER JOIN services ON services.service_id=service_orders.s_service_id WHERE s_vendor_id=" . user()->id . " AND read_status=0");
$ser_results = $unread_ser->getResult();
// Count unread Services
$count_services = $db->table('service_orders');
$count_services->selectCount('s_order_id');
$count_services->where(['s_vendor_id' => user()->id, 'read_status' => 0]);
$service_sum = $count_services->countAllResults();

// Unread requests
$unread_req = $db->query("SELECT * FROM product_requests WHERE vendor_id=" . user()->id . " AND read_status=0");
$requests_r = $unread_req->getResult();
// Count unread requests
$count_requests = $db->table('product_requests');
$count_requests->selectCount('request_id');
$count_requests->where(['vendor_id' => user()->id, 'read_status' => 0]);
$count_req = $count_requests->countAllResults();

?>

<head>
    <title>AMIS Uganda | <?= $this->renderSection('page_title'); ?></title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="author" content="AMIS Uganda">

    <link rel="icon" href="favicon.ico" type="image/x-icon">
    <!-- VENDOR CSS -->
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/bootstrap/css/bootstrap.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/font-awesome/css/font-awesome.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/animate-css/vivify.min.css') ?>">

    <!-- Datatables -->
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/jquery-datatable/dataTables.bootstrap4.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/jquery-datatable/fixedeader/dataTables.fixedcolumns.bootstrap4.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/jquery-datatable/fixedeader/dataTables.fixedheader.bootstrap4.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/sweetalert/sweetalert.css') ?>" />
    <link rel="stylesheet" href="<?= base_url('public/admin/css/alertify.min.css') ?>" />

    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/c3/c3.min.css') ?>" />
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/chartist/css/chartist.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/chartist-plugin-tooltip/chartist-plugin-tooltip.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/chartist-plugin-tooltip/chartist-plugin-tooltip.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/morrisjs/morris.css') ?>" />
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/bootstrap-multiselect/bootstrap-multiselect.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/vendor/parsleyjs/css/parsley.css') ?>">

    <!-- MAIN CSS -->
    <link rel="stylesheet" href="<?= base_url('public/admin/css/site.min.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/css/custom.css') ?>">
    <link rel="stylesheet" href="<?= base_url('public/admin/css/invoice.css') ?>">

</head>

<body class="theme-cyan font-montserrat light_version">

    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="bar1"></div>
            <div class="bar2"></div>
            <div class="bar3"></div>
            <div class="bar4"></div>
            <div class="bar5"></div>
        </div>
    </div>

    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>

    <div id="wrapper">

        <nav class="navbar top-navbar">
            <div class="container-fluid">

                <div class="navbar-left">
                    <div class="navbar-btn">
                        <a href="<?= site_url('seller/dashboard') ?>"><img src="<?= base_url('public/uploads/defaults/icon.png') ?>" alt="AMISUG" class="img-fluid logo"></a>
                        <button type="button" class="btn-toggle-offcanvas"><i class="lnr lnr-menu fa fa-bars"></i></button>
                    </div>
                    <ul class="nav navbar-nav">
                        <li class="dropdown">
                            <a href="javascript:void(0);" class="dropdown-toggle icon-menu" data-toggle="dropdown">
                                <i class="icon-envelope"></i>
                                <span class="notification-dot bg-green"><?= $count_req ?></span>
                            </a>
                            <ul class="dropdown-menu right_chat email vivify fadeIn">
                                <li class="header green">You have <?= $count_req ?> New request(s)</li>
                                <?php foreach ($requests_r as $request_r) : ?>
                                    <li>
                                        <a href="<?= site_url('seller/view_request/' . esc($request_r->request_id)) ?>" data-toggle="tooltip" data-placement="top" title="View">
                                            <div class="media">
                                                <div class="avtar-pic w35 bg-red"><span><?php if ($request_r->request_type == 1) : ?>P<?php else : ?>S<?php endif; ?></span></div>
                                                <div class="media-body">
                                                    <span class="name">Ref: <b><?= esc($request_r->request_ref) ?></b></span>
                                                    <span class="message"><?= esc($request_r->request_title) ?> on <b><?= esc(date('d M, Y h:i:sa', strtotime($request_r->r_created_at))) ?></b></span>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </li>
                        <li class="dropdown">
                            <a href="javascript:void(0);" class="dropdown-toggle icon-menu" data-toggle="dropdown">
                                <i class="icon-handbag"></i>
                                <span class="notification-dot bg-azura"><?= $order_sum + $service_sum ?></span>
                            </a>
                            <ul class="dropdown-menu feeds_widget vivify fadeIn">
                                <li class="header blue">You have <?= $order_sum + $service_sum ?> New Order(s)</li>
                                <?php foreach ($order_results as $order_result) : ?>
                                    <li>
                                        <a href="<?= site_url('seller/product_invoice/' . esc($order_result->order_id)) ?>" data-toggle="tooltip" data-placement="top" title="Details">
                                            <div class="feeds-left bg-red"><i class="fa fa-check"></i></div>
                                            <div class="feeds-body">
                                                <h4 class="title text-success">Order: <b><?= esc($order_result->order_invoice) ?></b></h4>
                                                <small>New purchase of <b>(<?= esc($order_result->product_name) ?>)</b> at <span class="text-info"><?= esc(date('d M, Y h:i:sa', strtotime($order_result->order_created))) ?></span></small>
                                            </div>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                                <?php foreach ($ser_results as $ser_result) : ?>
                                    <li>
                                        <a href="<?= site_url('seller/service_invoice/' . esc($ser_result->s_order_id)) ?>" data-toggle="tooltip" data-placement="top" title="Details">
                                            <div class="feeds-left bg-red"><i class="fa fa-check"></i></div>
                                            <div class="feeds-body">
                                                <h4 class="title text-success">Order: <b><?= esc($ser_result->s_order_invoice) ?></b></h4>
                                                <small>New purchase of <b>(<?= esc($ser_result->service_name) ?>)</b> at <span class="text-info"><?= esc(date('d M, Y h:i:sa', strtotime($ser_result->s_order_created))) ?></span></small>
                                            </div>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </li>

                        <li class="p_social"><a href="<?= site_url('sellers/' . esc(user()->slug)) ?>" class="social icon-menu" title="Store">Seller Store</a>
                        </li>
                        <li class="p_blog"><a href="<?= site_url('/') ?>" class="blog icon-menu" title="Website" target="_blank">Website</a></li>
                    </ul>
                </div>

                <div class="navbar-right">
                    <div id="navbar-menu">
                        <ul class="nav navbar-nav">
                            </li>
                            <li><a href="<?= site_url('logout') ?>" class="icon-menu"><i class="icon-power"></i></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="black-divider"></div>
            <div class="yellow-divider"></div>
            <div class="red-divider"></div>
        </nav>

        <div id="left-sidebar" class="sidebar">
            <div class="navbar-brand">
                <a href="<?= site_url('seller/dashboard') ?>"><img src="<?= base_url('public/uploads/defaults/icon.png') ?>" alt="AMISUG" class="img-fluid logo"><span>AMIS Uganda</span></a>
                <button type="button" class="btn-toggle-offcanvas btn btn-sm float-right"><i class="lnr lnr-menu icon-close"></i></button>
            </div>
            <div class="sidebar-scroll">
                <div class="user-account">
                    <div class="user_div">
                        <?php if (!empty(user()->profile_image)) : ?>
                            <img src="<?= base_url('public/uploads/users/profiles/' . user()->profile_image) ?>" class="user-photo" alt="User Profile">
                        <?php else : ?>
                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" class="user-photo" alt="User Profile">
                        <?php endif; ?>
                    </div>
                    <div class="dropdown">
                        <span>Welcome,</span>
                        <a href="javascript:void(0);" class="dropdown-toggle user-name" data-toggle="dropdown"><strong><?= user()->firstname . " " . user()->lastname; ?></strong></a>
                        <ul class="dropdown-menu dropdown-menu-right account vivify flipInY">
                            <!-- <li><a href="#"><i class="icon-user"></i>My Profile</a></li> -->
                            <li><a href="<?= site_url('seller/product-requests') ?>"><i class="icon-action-redo"></i>Requests</a></li>
                            <li><a href="<?= site_url('seller/settings/' . user()->id) ?>"><i class="icon-settings"></i>Settings</a></li>
                            <li class="divider"></li>
                            <li><a href="<?= site_url('logout') ?>"><i class="icon-power"></i>Logout</a></li>
                        </ul>
                    </div>
                </div>
                <nav id="left-sidebar-nav" class="sidebar-nav">
                    <ul id="main-menu" class="metismenu">
                        <li class="header">Main</li>
                        <li><a href="<?= site_url('seller/dashboard') ?>"><i class="icon-home"></i><span>Dashboard</span></a></li>
                        <li><a href="<?= site_url('sellers/' . esc(user()->slug)) ?>" target="_blank"><i class="icon-globe"></i><span>Seller Store</span></a></li>
                        <li class="header">Marketplace</li>
                        <li class="">
                            <a href="#" class="has-arrow"><i class="icon-basket"></i><span>Product Orders</span></a>
                            <ul>
                                <li class=""><a href="<?= site_url('seller/orders') ?>">Order List</a></li>
                                <li><a href="<?= site_url('seller/finished-orders') ?>">Finished Orders</a></li>
                                <li><a href="<?= site_url('seller/pending-orders') ?>">Pending Orders</a></li>
                                <li><a href="<?= site_url('seller/cancelled-orders') ?>">Cancelled Orders</a></li>
                            </ul>
                        </li>
                        <li class="">
                            <a href="#" class="has-arrow"><i class="icon-umbrella"></i><span>Service Orders</span></a>
                            <ul>
                                <li class=""><a href="<?= site_url('seller/service-orders') ?>">Order List</a></li>
                                <li><a href="<?= site_url('seller/completed-service-orders') ?>">Finished Orders</a></li>
                                <li><a href="<?= site_url('seller/pending-service-orders') ?>">Pending Orders</a></li>
                                <li><a href="<?= site_url('seller/cancelled-service-orders') ?>">Cancelled Orders</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="has-arrow"><i class="icon-bag"></i><span>Products</span></a>
                            <ul>
                                <li><a href="<?= site_url('seller/products') ?>">Product List</a></li>
                                <li><a href="<?= site_url('seller/add-products') ?>">Add Products</a></li>
                                <li><a href="<?= site_url('seller/banned-products') ?>">Banned Products</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="has-arrow"><i class="icon-list"></i><span>Services</span></a>
                            <ul>
                                <li><a href="<?= site_url('seller/services') ?>">Service List</a></li>
                                <li><a href="<?= site_url('seller/add-services') ?>">Add Services</a></li>
                                <li><a href="<?= site_url('seller/banned-services') ?>">Banned Services</a></li>
                            </ul>
                        </li>
                        <li class="header">Requests</li>
                        <li>
                            <a href="#" class="has-arrow"><i class="icon-action-redo"></i><span>Requests</span></a>
                            <ul>
                                <li><a href="<?= site_url('seller/product-requests') ?>">Product Requests</a></li>
                            </ul>
                        </li>
                        <li><a href="<?= site_url('seller/product-reviews') ?>"><i class="icon-star"></i><span>Rating</span></a></li>
                    </ul>
                </nav>
            </div>
        </div>

        <?= $this->renderSection('body'); ?>

    </div>

    <!-- Javascript -->
    <script src="<?= base_url('public/admin/bundles/libscripts.bundle.js') ?>"></script>
    <script src="<?= base_url('public/admin/bundles/vendorscripts.bundle.js') ?>"></script>

    <script src="<?= base_url('public/admin/bundles/flotscripts.bundle.js') ?>"></script><!-- flot charts Plugin Js -->
    <script src="<?= base_url('public/admin/bundles/chartist.bundle.js') ?>"></script>
    <script src="<?= base_url('public/admin/bundles/c3.bundle.js') ?>"></script>
    <script src="<?= base_url('public/admin/bundles/knob.bundle.js') ?>"></script><!-- Jquery Knob-->

    <!-- Datatables -->
    <script src="<?= base_url('public/admin/bundles/datatablescripts.bundle.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/jquery-datatable/buttons/dataTables.buttons.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/jquery-datatable/buttons/buttons.bootstrap4.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/jquery-datatable/buttons/buttons.colVis.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/jquery-datatable/buttons/buttons.html5.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/jquery-datatable/buttons/buttons.print.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/sweetalert/sweetalert.min.js') ?>"></script><!-- SweetAlert Plugin Js -->
    <script src="<?= base_url('public/admin/js/alertify.min.js') ?>"></script>

    <script src="<?= base_url('public/admin/vendor/ckeditor/ckeditor.js') ?>"></script><!-- Ckeditor -->
    <script src="<?= base_url('public/admin/vendor/bootstrap-multiselect/bootstrap-multiselect.js') ?>"></script>
    <script src="<?= base_url('public/admin/vendor/parsleyjs/js/parsley.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/bundles/mainscripts.bundle.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/pages/forms/editors.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/pages/tables/jquery-datatable.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/pages/widgets.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/pages/charts/morris.js') ?>"></script>
    <!-- Invoice -->
    <script src="<?= base_url('public/admin/js/jspdf.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/html2canvas.min.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/invoice.js') ?>"></script>
    <script src="<?= base_url('public/admin/js/index.js') ?>"></script>


    <script>
        $(function() {
            // validation needs name of the element
            $('#food').multiselect();

            // initialize after multiselect
            $('#basic-form').parsley();
        });
    </script>

    <script>
        $(document).ready(function() {
            <?php if (session()->getTempdata('success')) { ?>
                alertify.set('notifier', 'position', 'top-right');
                alertify.success('<?= session()->getTempdata('success') ?>');
            <?php } ?>
        });
    </script>

    <script>
        function printContent(el) {
            var restorePage = document.body.innerHTML;
            var printContent = document.getElementById(el).innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = restorePage;
        }
    </script>



</body>

</html>