<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Pending Orders
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>INV. NO</th>
                                        <th>Customer</th>
                                        <th>Product Qty</th>
                                        <th>Amount (Ugx)</th>
                                        <th>Payment</th>
                                        <th>Order Status</th>
                                        <th>Created</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($orders as $order) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= esc($order->order_invoice) ?></td>
                                            <td><?= esc($order->firstname) . " " . esc($order->lastname) ?></td>
                                            <td><?= esc($order->order_qty) . " " . esc($order->unit_shortname) ?></td>
                                            <td><?= esc(number_format($order->order_total)) ?></td>
                                            <td>
                                                <?php if (esc($order->payment_status) == 1) : ?>
                                                    <span class="badge badge-success">Paid</span>
                                                <?php else : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if (esc($order->order_status) == 1) : ?>
                                                    <span class="badge badge-success">Completed</span>
                                                <?php elseif (esc($order->order_status) == 2) : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php else : ?>
                                                    <span class="badge badge-danger">Cancelled</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($order->order_created))) ?></td>
                                            <td>
                                                <a href="<?= site_url('seller/product_invoice/' . esc($order->order_id)) ?>" data-toggle="tooltip" data-placement="top" title="Details" class="btn btn-sm btn-icon btn-info"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>