<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Products
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('seller/add-products') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Add Products</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Image</th>
                                        <th>Product Name</th>
                                        <th>Category</th>
                                        <th>Unit</th>
                                        <th>Price</th>
                                        <th>Status</th>
                                        <th>Created</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($products as $product) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td>01</td>
                                            <td><img src="<?= base_url('uploads/products/products/' . esc($product->product_image)) ?>" alt="Products" class="img-fluid"></td>
                                            <td><?= esc(substr($product->product_name, 0, 30) . "...") ?></td>
                                            <td><?= esc($product->category_name) ?></td>
                                            <td><?= esc($product->unit_shortname) ?></td>
                                            <td><?= esc($product->product_price) ?></td>
                                            <td>
                                                <?php if (esc($product->product_status) == 1) : ?>
                                                    <span class="badge badge-success">Verified</span>
                                                <?php elseif (esc($product->product_status) == 2) : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php else : ?>
                                                    <span class="badge badge-danger">Banned</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($product->created_at))) ?></td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>