<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Requests
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Request ID</th>
                                        <th>From</th>
                                        <th>Request Type</th>
                                        <th>Status</th>
                                        <th>Posted On</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($requests as $request) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= esc($request->request_ref) ?></td>
                                            <td>
                                                <?php if (!empty($request->user_id)) : ?>
                                                    <?= esc($request->firstname) . " " . esc($request->lastname) ?>
                                                <?php else : ?>
                                                    Guest
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if ($request->request_type == 1) : ?>
                                                    <span class="badge badge-primary">Product</span>
                                                <?php else : ?>
                                                    <span class="badge badge-warning">Service</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if (esc($request->request_status) == 1) : ?>
                                                    <span class="badge badge-success">Accepted</span>
                                                <?php elseif (esc($request->request_status) == 2) : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php elseif (esc($request->request_status) == 0) : ?>
                                                    <span class="badge badge-danger">Cancelled</span>
                                                <?php else : ?>
                                                    <span class="badge badge-primary">New</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($request->r_created_at))) ?></td>
                                            <td>
                                                <a href="<?= site_url('seller/view_request/' . esc($request->request_id)) ?>" data-toggle="tooltip" data-placement="top" title="View" class="btn btn-sm btn-icon btn-info"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>