<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Services
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('seller/add-services') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Add Service</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Image</th>
                                        <th>Service Name</th>
                                        <th>Category</th>
                                        <th>Charge Type</th>
                                        <th>Price</th>
                                        <th>Status</th>
                                        <th>Created</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($services as $service) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td>01</td>
                                            <td><img src="<?= base_url('public/uploads/services/' . esc($service->service_image)) ?>" alt="Service" class="img-fluid"></td>
                                            <td><?= esc(substr($service->service_name, 0, 30) . "...") ?></td>
                                            <td><?= esc($service->service_type_name) ?></td>
                                            <td><?= esc($service->service_unit_name) ?></td>
                                            <td><?= esc(number_format($service->service_price)) ?></td>
                                            <td>
                                                <?php if (esc($service->service_status) == 1) : ?>
                                                    <span class="badge badge-success">Published</span>
                                                <?php elseif (esc($service->service_status) == 2) : ?>
                                                    <span class="badge badge-warning">Pending</span>
                                                <?php else : ?>
                                                    <span class="badge badge-danger">Banned</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($service->created_at))) ?></td>
                                            <td>
                                                <a href="<?= site_url('seller/edit_service/' . esc($service->service_id)) ?>" data-toggle="tooltip" data-placement="top" title="Edit" class="btn btn-sm btn-icon btn-info"><i class="icon-pencil"></i></a>
                                                <a href="<?= site_url('seller/delete_service/' . esc($service->service_id)) ?>" data-toggle="tooltip" data-placement="top" title="Delete" class="btn btn-sm btn-icon btn-danger"><i class="icon-trash"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>