<?= $this->extend('vendors/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Profile
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card social">
                    <div class="profile-header d-flex justify-content-between justify-content-center">
                        <div class="d-flex">
                            <div class="mr-3">
                                <?php if (!empty($user->profile_image)) : ?>
                                    <img src="<?= base_url('public/uploads/users/profiles/' . esc($user->profile_image)) ?>" class="rounded" alt="Profile">
                                <?php else : ?>
                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" class="rounded" alt="Profile">
                                <?php endif; ?>
                            </div>
                            <div class="details">
                                <h5 class="mb-0"><?= esc($user->firstname) . " " . esc($user->lastname) ?></h5>
                                <span class="text-light"><b>Category:</b> <?php if ($user->category == 2) : ?>Vendor<?php endif; ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 col-lg-12 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Basic Information</h2>
                        <ul class="header-dropdown dropdown">
                            <li><a href="javascript:void(0);" class="full-screen"><i class="icon-frame"></i></a></li>
                        </ul>
                    </div>
                    <div class="body">
                        <form id="basic-form" method="post" action="<?= site_url('seller/settings/' . $user->id) ?>" enctype="multipart/form-data" novalidate>
                            <?= csrf_field() ?>
                            <div class="row clearfix">
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <input type="text" class="form-control" value="<?= esc($user->firstname) ?>" readonly>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <input type="text" class="form-control" value="<?= esc($user->lastname) ?>" readonly>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <input type="text" class="form-control" value="<?= esc($user->store_name) ?>" readonly>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <input type="email" name="email" class="form-control" value="<?= esc($user->email) ?>">
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <input type="number" class="form-control" value="<?= esc($user->phone) ?>" name="phone" required>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <select class="form-control" name="district" required>
                                            <option value="<?= $user->district ?>"><?= $user->district_name ?></option>
                                            <?php foreach ($districts as $district) : ?>
                                                <option value="<?= esc($district->district_id) ?>"><?= esc($district->district_name) ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <select class="form-control" name="market" required>
                                            <option value="<?= $user->market ?>"><?= $user->market_name ?></option>
                                            <?php foreach ($markets as $market) : ?>
                                                <option value="<?= esc($market->market_id) ?>"><?= esc($market->market_name) ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="icon-calendar"></i></span>
                                            </div>
                                            <input type="date" class="form-control" placeholder="Birthdate" name="dob" value="<?= esc($user->dob) ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="form-group">
                                        <input type="file" name="image" class="form-control-file">
                                        <small class="text-success">Profile Image (Optional)</small>
                                        <input type="text" name="old_image" value="<?= esc($user->profile_image) ?>" class="form-control" hidden>
                                    </div>
                                </div>
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <textarea rows="4" class="form-control" placeholder="Address" name="address"><?= esc($user->address) ?></textarea>
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-round btn-primary">Update</button> &nbsp;&nbsp;
                            <a href="<?= site_url('seller/dashboard') ?>" class="btn btn-round btn-default">Cancel</a>
                        </form>
                    </div>
                </div>
                <div class="card">
                    <div class="header">
                        <h2>Account Data</h2>
                    </div>
                    <div class="body">
                        <div class="row clearfix">
                            <div class="col-lg-12 col-md-12">
                                <hr>
                                <h6>Change Password</h6>
                                <div class="form-group">
                                    <input type="password" class="form-control" placeholder="Current Password">
                                </div>
                                <div class="form-group">
                                    <input type="password" class="form-control" placeholder="New Password">
                                </div>
                                <div class="form-group">
                                    <input type="password" class="form-control" placeholder="Confirm New Password">
                                </div>
                            </div>
                        </div>
                        <button type="button" class="btn btn-round btn-primary">Update</button> &nbsp;&nbsp;
                        <a href="<?= site_url('seller/dashboard') ?>" class="btn btn-round btn-default">Cancel</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection(); ?>