<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Forum
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb forum">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('forum') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('forum') ?>">Farmers</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<div class="forum-wrapper">
    <div class="home-wrapper">
        <div class="container">
            <div class="row">
                <!-- col -->
                <div class="col-lg-9">
                    <!-- Widget -->
                    <div class="forum-widget">
                        <div class="card">
                            <div class="card-header">
                                <h6>Group: <?= $topic->group_name ?></h6>
                            </div>
                            <div class="card-body">
                                <?php
                                $builder = $db->table('forum_discussions');
                                $builder->where(['discussion_topic_id' => $topic->topic_id]);
                                $count = $builder->countAllResults();
                                ?>
                                <div class="discussions">
                                    <h6><span class="badge badge-primary">Topic:</span> <a href="<?= site_url('forum/discussions/topic/' . $topic->topic_slug) ?>"><?= $topic->topic_title ?></a></h6>
                                    <?= $topic->topic_description ?> - <b>By: </b><span class="text-success"><b><?= $topic->store_name ?></b></span></p>
                                    <div class="discussion-footer">
                                        <span><i class="fa fa-comment my-auto" aria-hidden="true"></i> (<?= $count ?> Replies)</span>
                                        <span><i class="fa fa-clock my-auto" aria-hidden="true"></i> &nbsp;<?= date('d M, Y', strtotime($topic->topic_created_at)) ?></span>
                                        <span class="badge badge-warning my-auto">Group: <?= $topic->group_name ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Reply Widget -->
                    <div class="forum-widget">
                        <div class="card replies">
                            <div class="card-header">
                                <h6>Topics Replies</h6>
                            </div>
                            <div class="card-body">
                                <?php
                                $builder = $db->table('forum_joined_groups');
                                $builder->where(['join_user_id' => user()->id, 'join_group_id' => $topic->group_id]);
                                $rowCount = $builder->countAllResults();
                                ?>
                                <?php if ($rowCount > 0) : ?>
                                    <?php foreach ($discussions as $discussion) : ?>
                                        <div class="media mb-3">
                                            <a class="d-flex" href="#">
                                                <?php if (!empty($discussion->profile_image)) : ?>
                                                    <img src="<?= base_url('public/uploads/users/profiles/' . $discussion->profile_image) ?>" alt="Profile">
                                                <?php else : ?>
                                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile">
                                                <?php endif; ?>
                                            </a>
                                            <div class="media-body">
                                                <h6 class="mb-2"><?= $discussion->store_name ?></h6>
                                                <?= $discussion->discussion ?> &nbsp;&nbsp;<span class="text-success">Reply On: <b><?= date('d M, Y', strtotime($discussion->discussion_created)) ?></b></span>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                    <hr>
                                    <!-- Reply Form -->
                                    <form action="<?= site_url('forum/discussions/topic/' . $topic->topic_slug) ?>" method="post">
                                        <?= csrf_field() ?>
                                        <h6>Reply to Discussions</h6>
                                        <input type="text" name="topic_id" value="<?= $topic->topic_id ?>" hidden>
                                        <input type="text" name="farmer_id" value="<?= user()->id ?>" hidden>
                                        <input type="text" name="group_id" value="<?= $topic->group_id ?>" hidden>
                                        <div class="form-group">
                                            <textarea name="description" class="form-control" rows="5" required></textarea>
                                        </div>
                                        <button type="submit" class="btn btn-orange reply">Reply</button>
                                    </form>
                                <?php else : ?>
                                    <p class="text-danger">Discussions Blocked!!! You don't belong to the group</p>
                                    <form action="<?= site_url('forum/topics/group/' . $topic->group_slug) ?>" method="post">
                                        <?= csrf_field() ?>
                                        <input type="text" name="user_id" value="<?= user()->id ?>" hidden>
                                        <input type="text" name="group_id" value="<?= $topic->group_id ?>" hidden>
                                        <input type="text" name="group_name" value="<?= $topic->group_name ?>" hidden>
                                        <button type="submit" class="btn btn-primary join btn-sm">Join Group</button>
                                    </form>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- col -->
                <div class="col-lg-3">
                    <a href="<?= site_url('forum') ?>" class="btn btn-primary d-block"><i class="fa fa-arrow-right" aria-hidden="true"></i> &nbsp;Back Home</a>
                    <br>
                    <!-- Widget -->
                    <?php include('widgets/welcome_widget.php') ?>

                    <!-- Widget -->
                    <?php include('widgets/joined_groups_widget.php') ?>

                    <!-- Widget -->
                    <?php include('widgets/statistics_widget.php') ?>
                </div>
            </div>
        </div>
    </div>
</div>


<?= $this->endSection() ?>