<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
<?= $page_title ?>
<?= $this->endSection() ?>
<?php $db = \Config\Database::connect(); ?>
<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<div class="search-top">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="header__text">
                    <h5 class="text-center text-white text-uppercase">Buyer Requests</h5>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Marketplace Products -->
<div class="marketplace-wrapper">
    <div class="container">
        <div class="vendors-list">
            <div class="vendors" id="vendors">
                <div class="row">
                    <?php if (isset($requests)) : ?>

                        <?php foreach ($requests as $request) : ?>
                            <div class="col-lg-4 col-sm-6">
                                <div class="card request__card">
                                    <h5><?= $request["request_title"] ?></h5>
                                    <span class="badge category">
                                        <b>Request: </b>
                                        <?php if ($request["request_type"] == 1) : ?>
                                            Product
                                        <?php else : ?>
                                            Service
                                        <?php endif; ?>
                                    </span>
                                    <p><?= $request["request_desc"] ?></p>
                                    <div class="request__date">
                                        <?= date('d M, Y', strtotime($request["r_created_at"])) ?>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>

                        <div class="col-12">
                            <div class="page__pagination">
                                <div class="text-center">
                                    <?= $pager->links() ?>
                                </div>
                            </div>
                        </div>
                    <?php else : ?>
                        <h5 class="text-center text-danger">Oopss!!!! No Data to Display</h5>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>