<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
<?= $page_title ?>
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<!-- Markets Brief -->
<div class="filter-container">
    <div class="container">
        <div class="market-price-slider">
            <div class="slider slider-nav">
                <?php foreach ($product_slide as $product_slide) : ?>
                    <?php
                    $min = $db->table('products');
                    $min->selectAvg('product_price');
                    $min->where(['product_category' => $product_slide->product_category]);
                    $minResult = $min->get()->getRow();
                    ?>
                    <div>
                        <div class="card">
                            <div class="product">
                                <h6><?= $product_slide->category_name ?></h6>
                                <p>Aveage Price</p>
                            </div>
                            <div class="product-image">
                                <img src="<?= base_url('public/uploads/template/graph.png') ?>" alt="Product">
                            </div>
                            <div class="price">
                                <h6>Ugx <?= number_format($minResult->product_price, 2) ?> / kg</h6>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>

<!-- Price Charts -->
<div class="price-charts market-watch">
    <div class="container">
        <div class="filter-header">
            <h6>Category Performance</h6>
        </div>
        <div class="row">
            <!-- col -->
            <div class="col-lg-12">
                <div id="GoogleLineChart" style="height: 300px; width: 100%"></div>
                <!-- <div id="chart-temperature" style="height: 300px"></div> -->
            </div>
            <!-- col -->
            <div class="col-lg-12">
                <div id="GooglePieChart" style="height: 300px; width: 100%"></div>
                <!-- <div id="chart-pie" style="height: 300px"></div> -->
            </div>
        </div>
    </div>
</div>

<!-- Market price Tables -->
<div class="price-tables market-watch">
    <div class="container">
        <div class="filter-header">
            <h6>Product Average Prices</h6>
        </div>
        <div class="row">
            <!-- col -->
            <div class="col-lg-12">
                <div class="product-table">
                    <div class="table-responsive" id="data_table1_wrapper">
                        <table class="table table-striped table-bordered" id="data_table1">
                            <thead>
                                <th>Commodity</th>
                                <th>District</th>
                                <th>Market</th>
                                <th>Retail Price (Ugx)</th>
                                <th>Wholesale Price (Ugx)</th>
                                <th>Details</th>
                            </thead>
                            <tbody>
                                <?php foreach ($product_watch as $product_watch) : ?>
                                    <?php
                                    $retailAvg = $db->table('products');
                                    $retailAvg->selectAvg('product_price');
                                    $retailAvg->where(['product_category' => $product_watch->category_id, 'sale_type' => 1]);
                                    $retailAvgResult = $retailAvg->get()->getRow();

                                    $wholeAvg = $db->table('products');
                                    $wholeAvg->selectAvg('product_price');
                                    $wholeAvg->where(['product_category' => $product_watch->category_id, 'sale_type' => 2]);
                                    $wholeAvgResult = $wholeAvg->get()->getRow();
                                    ?>
                                    <tr>
                                        <td><?= $product_watch->category_name ?></td>
                                        <td>
                                            <?php if (!empty($product_watch->district_name)) : ?>
                                                <?= $product_watch->district_name ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if (!empty($product_watch->market_name)) : ?>
                                                <?= $product_watch->market_name ?>
                                            <?php endif; ?>
                                        </td>

                                        <td>
                                            <?php if (!empty($retailAvgResult->product_price)) : ?>
                                                <?= number_format($retailAvgResult->product_price, 2) ?>
                                            <?php else : ?>
                                                <?= number_format(0, 2) ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if (!empty($wholeAvg->product_price)) : ?>
                                                <?= number_format($wholeAvg->product_price, 2) ?>
                                            <?php else : ?>
                                                <?= number_format(0, 2) ?>
                                            <?php endif; ?>
                                        </td>
                                        <td><a href="<?= site_url('product-highlights/district/' . $product_watch->district_slug) ?>"><span class="badge badge-primary py-1"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> View All</span></a></td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="filter-header mt-5">
            <h6>Service Average Prices</h6>
        </div>
        <div class="row">
            <!-- col -->
            <div class="col-lg-12">
                <div class="product-table">
                    <div class="table-responsive" id="data_table2_wrapper">
                        <table class="table table-striped table-bordered" id="data_table2">
                            <thead>
                                <th>Service</th>
                                <th>District</th>
                                <th>Average Price (Ugx)</th>
                                <th>Details</th>
                            </thead>
                            <tbody>
                                <?php foreach ($service_watch as $service_watch) : ?>
                                    <tr>
                                        <td><?= $service_watch->service_type_name ?></td>
                                        <td><?= $service_watch->district_name ?></td>
                                        <td><?= number_format($service_watch->service_price) ?></td>
                                        <td><a href="<?= site_url('service-highlights/district/' . $service_watch->district_slug) ?>"><span class="badge badge-primary py-1"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> View All</span></a></td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    // google.charts.load('visualization', "1", {
    //     packages: ['corechart']
    // });
    google.charts.load('current', {
        'packages': ['corechart', 'bar']
    });
    google.charts.setOnLoadCallback(drawLineChart);
    google.charts.setOnLoadCallback(drawBarChart);

    // Pie Chart
    google.charts.setOnLoadCallback(showBarChart);

    function drawBarChart() {
        var data = google.visualization.arrayToDataTable([
            ['Day', 'Products Count'],
            <?php
            foreach ($products as $row) {
                echo "['" . $row['day'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Category Performance',
            is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('GooglePieChart'));
        chart.draw(data, options);
    }

    // Line Chart
    function drawLineChart() {
        var data = google.visualization.arrayToDataTable([
            ['Day', 'Products Count'],
            <?php
            foreach ($products as $row) {
                echo "['" . $row['day'] . "'," . $row['sell'] . "],";
            }
            ?>
        ]);
        var options = {
            title: 'Line chart product sell wise',
            curveType: 'function',
            legend: {
                position: 'top'
            }
        };
        var chart = new google.visualization.LineChart(document.getElementById('GoogleLineChart'));
        chart.draw(data, options);
    }
</script>

<?= $this->endSection() ?>