<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Register
<?= $this->endSection() ?>

<?= $this->section('body'); ?>

<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Register</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Auth page -->
<div class="auth-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-lg-3"></div>
            <div class="col-lg-6">
                <h5>Create Free Account</h5>
                <div class="card">
                    <?php if (isset($validation)) : ?>
                        <div class="alert alert-danger" role="alert">
                            <?= $validation->listErrors() ?>
                        </div>
                    <?php endif; ?>
                    <form action="<?= site_url('user-register') ?>" method="post" id="registration-form" novalidate>
                        <?= csrf_field() ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label for="category">User Type <small class="text-danger">(Required)</small></label>
                                    <select class="custom-select" name="category" id="userCategory" required>
                                        <option value="" selected>Select Category</option>
                                        <?php foreach ($groups as $group) : ?>
                                            <option value="<?= $group->id ?>"><?= $group->name ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-6" id="sell-as" style="display: none;">
                                <div class="form-group">
                                    <label>Sell As <small class="text-danger">(Required)</small></label>
                                    <select class="custom-select" name="sellas" id="farmer-type">
                                        <option value="" selected>Select One</option>
                                        <option value="1">Individual</option>
                                        <option value="2">Farmers Group</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-6" id="store" style="display: none;">
                                <div class="form-group">
                                    <label>Store Name <small class="text-danger">(Required)</small></label>
                                    <input type="text" id="sname" class="form-control" name="store_name" placeholder="" value="<?= set_value('store_name') ?>">
                                </div>
                            </div>
                            <div class="col-lg-6" id="firstname" style="display: none;">
                                <div class="form-group">
                                    <label>First Name <small class="text-danger">(Required)</small></label>
                                    <input type="text" id="fname" class="form-control" name="firstname" placeholder="Your first name" value="<?= set_value('firstname') ?>">
                                </div>
                            </div>

                            <div class="col-lg-6" id="lastname" style="display: none;">
                                <div class="form-group">
                                    <label>Last Name <small class="text-danger">(Required)</small></label>
                                    <input type="text" id="lname" class="form-control" name="lastname" placeholder="Your last name" value="<?= set_value('lastname') ?>">
                                </div>
                            </div>
                            <div class="col-lg-6" id="phone" style="display: none;">
                                <div class="form-group">
                                    <label for="phone">Valid Phone <small class="text-danger">(Required)</small></label>
                                    <input type="text" id="phn" class="form-control" name="phone" placeholder="e.g 0789344674" value="<?= set_value('phone') ?>">
                                </div>
                            </div>

                            <div class="col-lg-6" id="district" style="display: none;">
                                <div class="form-group">
                                    <label>District <small class="text-danger">(Required)</small></label>
                                    <select class="custom-select" name="district" id="dist">
                                        <option value="" selected>Select District</option>
                                        <?php foreach ($districts as $district) : ?>
                                            <option value="<?= $district->district_id ?>"><?= $district->district_name ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>

                            <div class="col-lg-12" id="address" style="display: none;">
                                <div class="form-group">
                                    <label for="address">Address <small class="text-danger">(Required)</small></label>
                                    <textarea name="address" id="add" class="form-control" rows="2"><?= set_value('address') ?></textarea>
                                </div>
                            </div>

                            <div class="col-lg-6" style="display: none;" id="sellerMarket">

                            </div>
                            <div class="col-lg-6" id="password" style="display: none;">
                                <div class="form-group">
                                    <label for="password">Password <small class="text-danger">(Required)</small></label>
                                    <input type="password" id="pwd" name="password" class="form-control" placeholder="password" autocomplete="off">
                                </div>
                            </div>
                            <div class="col-lg-6" id="repeatpassword" style="display: none;">
                                <div class="form-group">
                                    <label for="pass_confirm"><?= lang('Auth.repeatPassword') ?> <small class="text-danger">(Required)</small></label>
                                    <input type="password" id="cpwd" name="pass_confirm" class="form-control" placeholder="Confirm Password" autocomplete="off">
                                </div>
                            </div>
                            <div class="col-12" id="submit" style="display: none;">
                                <button type="submit" class="btn btn-primary d-block"><?= lang('Auth.register') ?></button>
                            </div>
                        </div>
                        <br>
                        <p><?= lang('Auth.alreadyRegistered') ?> <a href="<?= site_url('login') ?>"><?= lang('Auth.signIn') ?></a></p>
                    </form>
                </div>
            </div>
            <div class="col-lg-3"></div>
        </div>
    </div>
</div>

<script>
    // Display Market field based on user type
    const userCategory = document.getElementById('userCategory');

    userCategory.addEventListener('change', function handleChange(event) {
        let category = userCategory.value;
        let firstname = $("#fname").val();
        let lastname = $("#lname").val();
        let phone = $("#phn").val();
        let address = $("#add").val();
        let district = $("#dist").val();
        let password = $("#pwd").val();
        let repeatpassword = $("#cpwd").val();
        let store = $("#sname").val();
        let market = $("#mkt").val();
        let sellertype = $("#seller-type").val();
        // If User is Buyer
        if (category == 3) {
            document.getElementById("firstname").style.display = "block";
            document.getElementById("lastname").style.display = "block";
            document.getElementById("phone").style.display = "block";
            document.getElementById("address").style.display = "block";
            document.getElementById("district").style.display = "block";
            document.getElementById("password").style.display = "block";
            document.getElementById("repeatpassword").style.display = "block";
            document.getElementById("submit").style.display = "block";
            document.getElementById("sellerMarket").style.display = "none";
            document.getElementById("store").style.display = "none";
            document.getElementById("sell-as").style.display = "none";

        } else if (category == 2) {
            document.getElementById("firstname").style.display = "block";
            document.getElementById("lastname").style.display = "block";
            document.getElementById("phone").style.display = "block";
            document.getElementById("address").style.display = "block";
            document.getElementById("district").style.display = "block";
            document.getElementById("password").style.display = "block";
            document.getElementById("repeatpassword").style.display = "block";
            document.getElementById("sellerMarket").style.display = "block";
            document.getElementById("store").style.display = "block";
            document.getElementById("sell-as").style.display = "block";
            document.getElementById("submit").style.display = "block";

            $("#dist").change(function() {
                // var action = 'fetch_savings_accounts';
                var dist = $("#dist").val();
                $.ajax({
                    url: "<?= site_url('get-district-markets') ?>",
                    method: 'post',
                    data: {
                        dist: dist
                    },
                    success: function(data) {
                        $('#sellerMarket').html(data);
                    }
                });
            });
        } else {
            document.getElementById("firstname").style.display = "none";
            document.getElementById("lastname").style.display = "none";
            document.getElementById("phone").style.display = "none";
            document.getElementById("address").style.display = "none";
            document.getElementById("district").style.display = "none";
            document.getElementById("password").style.display = "none";
            document.getElementById("repeatpassword").style.display = "none";
            document.getElementById("sellerMarket").style.display = "none";
            document.getElementById("store").style.display = "none";
            document.getElementById("sell-as").style.display = "none";
            document.getElementById("submit").style.display = "none";
        }

    });
</script>
<?= $this->endSection() ?>