<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Dashboard
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Addresses</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Customer Area -->
<div class="customer-wrapper">
    <div class="dashboard-area">
        <div class="container">
            <div class="row">
                <!-- Col -->
                <div class="col-lg-3 col-md-4">
                    <div class="left-nav">
                        <div class="card">
                            <ul class="nav-list">
                                <li><a href="<?= site_url('user/dashboard') ?>"><i class="fa fa-tachometer-alt"></i>&nbsp; Dashboard</a></li>
                                <li><a href="<?= site_url('user/requests') ?>"><i class="fa fa-comment-alt"></i>&nbsp; Requests</a></li>
                                <li><a href="#"><i class="fa fa-comments"></i>&nbsp; Chats</a></li>
                                <li><a href="<?= site_url('user/order-history') ?>"><i class="fa fa-shopping-bag"></i>&nbsp; Order History</a></li>
                                <li><a href="<?= site_url('user/addresses') ?>"><i class="fa fa-address-book"></i>&nbsp; Address</a></li>
                                <li><a href="<?= site_url('user/settings') ?>"><i class="fa fa-cog"></i>&nbsp; Settings</a></li>
                                <li><a href="<?= site_url('logout') ?>"><i class="fa fa-power-off"></i>&nbsp; Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <!-- col -->
                <div class="col-lg-9 col-md-8">
                    <div class="right-nav">
                        <div class="customer-info">
                            <h5>Hello, <?= esc(user()->firstname) . " " . esc(user()->lastname) ?></h5>
                            <p class="db-inform">From your account dashboard. you can easily check & view your
                                <a href="#">Recent Orders</a> , manage your <a href="#">Shipping and Billing Addresses</a> and edit your <a href="#">Password</a> and <a href="#">Account Details.</a>.</p>
                            <div class="info-cards">
                                <div class="row">
                                    <!-- Col -->
                                    <div class="col-lg-6">
                                        <div class="card">
                                            <div class="card-header">
                                                <h6>ACCOUNT INFO</h6>
                                            </div>
                                            <div class="card-body">
                                                <div class="media">
                                                    <a class="d-flex" href="#">
                                                        <?php if (!empty($user_data->profile_image)) : ?>
                                                            <img src="<?= base_url('public/uploads/users/profiles/' . $user_data->profile_image) ?>" alt="Profile" class="img-fluid">
                                                        <?php else : ?>
                                                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile" class="img-fluid">
                                                        <?php endif; ?>
                                                    </a>
                                                    <div class="media-body">
                                                        <h6><?= esc(user()->firstname) . " " . esc(user()->lastname) ?></h6>
                                                        <?= esc(user()->address) ?>
                                                    </div>
                                                </div>
                                                <div class="contact">
                                                    <span><b>Email:</b> <?= esc(user()->email) ?></span>
                                                    <span><b>Phone:</b> <?= esc(user()->phone) ?></span>
                                                    <span><b>District:</b> <?= $user_data->district_name ?></span>
                                                    <span><b>City:</b> <?= esc(user()->billing_city) ?></span>
                                                </div>
                                                <a href="<?= site_url('user/settings') ?>" class="btn btn-block btn-warning">Edit Account</a>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Col -->
                                    <div class="col-lg-6">
                                        <div class="card">
                                            <div class="card-header">
                                                <h6>DELIVERY ADDRESS</h6>
                                            </div>
                                            <div class="card-body">
                                                <br>
                                                <h6><?= $user_data->billing_names ?></h6>
                                                <p><?= $user_data->billing_address ?></p>
                                                <div class="contact">
                                                    <span><b>Phone:</b> <?= $user_data->billing_phone ?></span>
                                                    <span><b>District:</b> <?= $user_data->billing_district ?></span>
                                                    <span><b>City:</b> <?= esc(user()->billing_city) ?></span>
                                                </div>
                                                <a href="<?= site_url('user/settings') ?>" class="btn btn-block btn-warning">Edit Address</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Customer Area -->

<?= $this->endSection() ?>