<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
<?= $page_title ?>
<?= $this->endSection() ?>
<?php $db = \Config\Database::connect(); ?>
<?= $this->section('body'); ?>

<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<div class="provider-header">
    <div class="container provider-container">
        <div class="row">
            <div class="col-lg-8">
                <div class="media">
                    <a class="d-flex" href="#">
                        <?php if (!empty(esc($vendor_data->profile_image))) : ?>
                            <img src="<?= base_url('public/uploads/users/profiles/' . esc($vendor_data->profile_image)) ?>" alt="Profile" class="img-fluid">
                        <?php else : ?>
                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile" class="img-fluid">
                        <?php endif; ?>
                    </a>
                    <div class="media-body my-auto">
                        <?php if (esc($vendor_data->verification) == 1) : ?>
                            <span class="verified">Verified</span>
                        <?php endif; ?>
                        <h5><?= $vendor_data->store_name . " (Mob: " . $vendor_data->phone . ")" ?></h5>
                        <p><?= esc($vendor_data->store_tagline) ?></p>
                        <div class="rating">
                            <?php $i = 0; ?>
                            <?php if ($reviews > 0) : ?>
                                <?php for ($i; $i < 5; $i++) : ?>
                                    <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                <?php endfor; ?>
                            <?php else : ?>
                                <?php for ($i; $i < 5; $i++) : ?>
                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                <?php endfor; ?>
                            <?php endif; ?>
                            <span>&nbsp; (<?= esc($reviews) ?> Feedback)</span> &nbsp;|&nbsp;
                            <span>Location: <a href="#">Get Direction</a></span>
                        </div>
                        <div class="info">
                            <span><i class="fa fa-calendar"></i>&nbsp; Since:
                                <?= date('M, Y', strtotime(esc($vendor_data->created_at))) ?></span>
                            <span><i class="fa fa-eye"></i>&nbsp; <?= esc($requests) ?> Request(s)</span>
                            <?php if ($auth->check()) : ?>
                                <?php if (in_groups('Admin')) : ?>
                                    <span><i class="fa fa-reply"></i>&nbsp; <a href="#request--warning-form" class="text-danger" data-toggle="modal">Report Now</a></span>
                                <?php elseif (in_groups('Seller')) : ?>
                                    <span><i class="fa fa-reply"></i>&nbsp; <a href="#request--warning-form" class="text-danger" data-toggle="modal">Report Now</a></span>
                                <?php else : ?>
                                    <span><i class="fa fa-reply"></i>&nbsp; <a href="#report-vendor" class="text-danger" data-toggle="modal">Report Now</a></span>
                                <?php endif; ?>
                            <?php else : ?>
                                <span><i class="fa fa-reply"></i>&nbsp; <a href="#report-vendor" class="text-danger" data-toggle="modal">Report Now</a></span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="appointment">
                    <p>Please Note <sup>*</sup></p>
                    <small>Don't pay anyone without <br> getting any service</small>
                    <?php if ($auth->check()) : ?>
                        <?php if (in_groups('Admin')) : ?>
                            <a href="#request--warning-form" data-toggle="modal" class="btn btn-warning-outline">Send Request</a>
                        <?php elseif (in_groups('Seller')) : ?>
                            <a href="#request--warning-form" data-toggle="modal" class="btn btn-warning-outline">Send Request</a>
                        <?php else : ?>
                            <a href="#request-form" data-toggle="modal" class="btn btn-warning-outline">Send Request</a>
                        <?php endif; ?>
                    <?php else : ?>
                        <a href="#request-form" data-toggle="modal" class="btn btn-warning-outline">Send Request</a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Provider header -->

<!-- Marketplace Products -->
<div class="marketplace-wrapper">
    <div class="container">
        <div class="row">
            <!-- Left Column -->
            <div class="col-lg-3">
                <div class="left-content">
                    <!-- Markets -->
                    <div class="vendors widget">
                        <div class="card vendor-rating">
                            <h6><?= $reviews ?> Product Reviews</h6>
                            <div class="rating-data">
                                <table class="stars-counters">
                                    <tbody>
                                        <tr class="">
                                            <td width="92%">
                                                <span>5 Star</span>
                                                <?php $i = 0; ?>
                                                <?php if ($_5Star > 0) : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td width="8%">(<?= $_5Star ?>)</td>
                                        </tr>
                                        <tr class="">
                                            <td width="92%">
                                                <span>4 Star</span>
                                                <?php $i = 0; ?>
                                                <?php if ($_4Star > 0) : ?>
                                                    <?php for ($i; $i < 4; $i++) : ?>
                                                        <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td width="8%">(<?= $_4Star ?>)</td>
                                        </tr>
                                        <tr class="">
                                            <td width="92%">
                                                <span>3 Star</span>
                                                <?php $i = 0; ?>
                                                <?php if ($_3Star > 0) : ?>
                                                    <?php for ($i; $i < 3; $i++) : ?>
                                                        <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td width="8%">(<?= $_3Star ?>)</td>
                                        </tr>
                                        <tr class="">
                                            <td width="92%">
                                                <span>2 Star</span>
                                                <?php $i = 0; ?>
                                                <?php if ($_2Star > 0) : ?>
                                                    <?php for ($i; $i < 2; $i++) : ?>
                                                        <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td width="8%">(<?= $_2Star ?>)</td>
                                        </tr>
                                        <tr class="">
                                            <td width="92%">
                                                <span>1 Star</span>
                                                <?php $i = 0; ?>
                                                <?php if ($_1Star > 0) : ?>
                                                    <?php for ($i; $i < 1; $i++) : ?>
                                                        <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                <?php else : ?>
                                                    <?php for ($i; $i < 5; $i++) : ?>
                                                        <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                                    <?php endfor; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td width="8%">(<?= $_1Star ?>)</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="card profile-card">
                            <!-- <div class="vendor-profile">
                                    <img src="<= base_url('web/images/vendors/vendor-1.png') ?>" alt="Profile" class="img-fluid">
                                </div> -->
                            <div class="vendor-data">
                                <span class="year">Since
                                    <?= date('M, Y', strtotime(esc($vendor_data->created_at))) ?></span>
                                <h1 class="company"><?= esc($vendor_data->store_name) ?></h1>
                                <p class="about"><?= esc($vendor_data->store_description) ?></p>
                                <p class="address"><b>District: </b><?= esc($vendor_data->district_name) ?></p>
                                <p class="address"><b>Market: </b><?= esc($vendor_data->market_name) ?></p>
                                <p class="address"><b>Address: </b><?= esc($vendor_data->address) ?></p>
                            </div>
                        </div>

                        <div class="card chat-card">
                            <?php if (!$auth->check()) : ?>
                                <p class="text-danger">Please login to send Request</p>
                            <?php endif; ?>
                            <form action="<?= site_url('send_request/' . $vendor_data->slug) ?>" method="post" id="request-form2">
                                <?= csrf_field() ?>
                                <div class="form-group">
                                    <input type="text" class="form-control" name="subject" placeholder="Request Subject" required>
                                </div>
                                <?php if ($auth->check()) : ?>
                                    <input type="text" class="form-control" name="vendor_id" value="<?= $vendor_data->id ?>" hidden>
                                    <input type="text" class="form-control" name="user_id" value="<?= user()->id ?>" hidden>
                                    <input type="text" class="form-control" name="vender_slug" value="<?= $vendor_data->slug ?>" hidden>
                                <?php endif; ?>
                                <div class="form-group">
                                    <select class="custom-select" name="type" required>
                                        <option value="" selected>Request Type</option>
                                        <option value="1">Product</option>
                                        <option value="2">Service</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <textarea class="form-control" rows="3" name="description" required></textarea>
                                </div>
                                <?php if ($auth->check()) : ?>
                                    <?php if (in_groups('Admin')) : ?>
                                        <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn btn-primary">Send Request</button>
                                    <?php elseif (in_groups('Seller')) : ?>
                                        <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn btn-primary">Send Request</button>
                                    <?php else : ?>
                                        <button type="submit" class="btn btn-primary">Send Request</button>
                                    <?php endif; ?>
                                <?php else : ?>
                                    <button type="submit" class="btn btn-primary">Send Request</button>
                                <?php endif; ?>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Right Column -->
            <div class="col-lg-9">
                <div class="row">
                    <div class="col-12">
                        <div class="product-tabs">
                            <ul class="nav nav-tabs nav-stacked" id="myTab" role="tablist">
                                <li class="nav-item">
                                    <a href="#products" class="nav-link active" id="products-tab" data-toggle="tab" role="tab" aria-controls="products" aria-selected="true">Products
                                        <span class="badge badge-secondary p-1"><?= $count_prods ?></span></a>
                                </li>
                                <li class="nav-item">
                                    <a href="#services" class="nav-link" id="services-tab" data-toggle="tab" role="tab" aria-controls="services" aria-selected="true">Services
                                        <span class="badge badge-secondary p-1"><?= $count_services ?></span></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <!-- Tab Content -->
                <div class="tab-content" id="productTabContent">
                    <!-- Tab Item -->
                    <div class="tab-pane fade show active" id="products" role="tabpanel" aria-labelledby="products-tab">
                        <div class="product-container">
                            <div class="filter-header d-flex justify-content-between my-auto">
                                <h6>Showing <?= $count_prods ?> results</h6>
                            </div>
                            <div class="row">
                                <!-- Item -->
                                <?php if ($products) : ?>
                                    <?php foreach ($products as $product) : ?>
                                        <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                                            <div class="card products">
                                                <div class="card-body">
                                                    <div class="product-image">
                                                        <img src="<?= base_url('public/uploads/products/products/' . esc($product->product_image)) ?>" alt="Product Image" class="img-fluid">
                                                    </div>
                                                    <div class="product-category">
                                                        <span><?= esc($product->category_name) ?></span>
                                                    </div>
                                                </div>
                                                <div class="card-footer">
                                                    <div class="seller">
                                                        <span><b>Seller:</b> <?= esc($vendor_data->store_name) ?></span>
                                                    </div>
                                                    <h6><a href="<?= site_url('products/' . esc($product->product_slug)) ?>"><?= esc(substr($product->product_name, 0, 30) . "...") ?></a>
                                                    </h6>
                                                    <span class="stock">IN STOCK</span>
                                                    <a href="<?= site_url('products/' . esc($product->product_slug)) ?>" class="message">Details</a>
                                                    <div class="product-price">
                                                        <h5><?= esc(number_format($product->product_price)) ?> -
                                                            <?= esc($product->unit_value) ?><?= esc($product->unit_shortname) ?>
                                                        </h5>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                <?php else : ?>
                                    <div class="col-12">
                                        <h5 class="text-center py-5">No products available yet</h5>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <!-- Tab Item -->
                    <div class="tab-pane fade" id="services" role="tabpanel" aria-labelledby="services-tab">
                        <div class="service-container">
                            <div class="filter-header d-flex justify-content-between my-auto">
                                <h6>Showing <?= $count_prods ?> results</h6>
                            </div>
                            <div class="row">
                                <!-- Item -->
                                <?php if ($services) : ?>
                                    <?php foreach ($services as $service) : ?>
                                        <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                                            <div class="card service-card">
                                                <div class="card-body">
                                                    <div class="service-image">
                                                        <?php if (!empty(esc($service->service_image))) : ?>
                                                            <img src="<?= base_url('public/uploads/services/' . esc($service->service_image)) ?>" alt="Service" class="img-fluid">
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="profile-img">
                                                        <?php if (!empty(esc($service->profile_image))) : ?>
                                                            <img src="<?= base_url('public/uploads/users/profiles/' . esc($service->profile_image)) ?>" alt="Img">
                                                        <?php else : ?>
                                                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Img" class="img-fluid">
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                                <div class="card-footer">
                                                    <div class="badges">
                                                        <span class="badge verified">Verified</span>
                                                        <span class="badge badge-outline price"><?= esc(number_format($service->service_price)) ?>
                                                            &nbsp; (<?= esc($service->service_unit_name) ?>)</span>
                                                    </div>
                                                    <p class="service-type"><?= esc($service->service_type_name) ?></p>
                                                    <h6><a href="<?= site_url('services/' . esc($service->service_slug)) ?>"><?= esc($service->service_name) ?></a>
                                                    </h6>
                                                    <?php
                                                    $builder = $db->table('service_reviews');
                                                    $builder->where(['reviewed_service' => $service->service_id]);
                                                    $countS = $builder->countAllResults();
                                                    ?>
                                                    <div class="ratings">
                                                        <?php
                                                        $rating = $db->query("SELECT review_rating FROM service_reviews WHERE reviewed_service='$service->service_id'");
                                                        $rate_ = $rating->getRow();
                                                        ?>
                                                        <?php if ($rate_) : ?>
                                                            <?php $i = 0; ?>
                                                            <?php if ($rate_->review_rating == 5) : ?>
                                                                <?php for ($i; $i < 5; $i++) : ?>
                                                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                                                <?php endfor; ?>
                                                            <?php elseif ($rate_->review_rating == 4) : ?>
                                                                <?php for ($i; $i < 4; $i++) : ?>
                                                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                                                <?php endfor; ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php elseif ($rate_->review_rating == 3) : ?>
                                                                <?php for ($i; $i < 3; $i++) : ?>
                                                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                                                <?php endfor; ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php elseif ($rate_->review_rating == 2) : ?>
                                                                <?php for ($i; $i < 2; $i++) : ?>
                                                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                                                <?php endfor; ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php elseif ($rate_->review_rating == 1) : ?>
                                                                <?php for ($i; $i < 1; $i++) : ?>
                                                                    <i class="fa fa-star orange" aria-hidden="true"></i>
                                                                <?php endfor; ?>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                                <i class="fa fa-star" aria-hidden="true"></i>
                                                            <?php else : ?>
                                                                <?php for ($i; $i < 5; $i++) : ?>
                                                                    <i class="fa fa-star" aria-hidden="true"></i>
                                                                <?php endfor; ?>
                                                            <?php endif; ?>
                                                        <?php endif; ?>
                                                        <span>(<?= $countS ?> Feedback)</span>
                                                    </div>
                                                    <p class="provider">By: <a href="<?= site_url('sellers/' . esc($service->slug)) ?>"><?= esc($service->store_name) ?></a>
                                                    </p>
                                                    <hr>
                                                    <p class="address"><?= esc($service->address) ?></p>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                <?php else : ?>
                                    <div class="col-12">
                                        <h5 class="text-center py-5">No services available yet</h5>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Vendors -->
    <div class="marketplace-wrapper vendor-profile">
        <div class="container">
            <div class="vendors-list">
                <div class="section-title">
                    <h5>Similar Vendors</h5>
                </div>
                <div class="vendors">
                    <div class="row">
                        <?php foreach ($similar_vendors as $similar_vendor) : ?>
                            <?php if ($vendor_data->id != $similar_vendor->id) : ?>
                                <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                                    <div class="card">
                                        <div class="vendor-image">
                                            <?php if (!empty(esc($similar_vendor->profile_image))) : ?>
                                                <img src="<?= base_url('public/uploads/users/profiles/' . esc($similar_vendor->profile_image)) ?>" alt="Vendor" class="img-fluid">
                                            <?php else : ?>
                                                <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Vendor" class="img-fluid">
                                            <?php endif; ?>
                                        </div>
                                        <div class="vendor-data">
                                            <span class="year">Since
                                                <?= date('M, Y', strtotime(esc($similar_vendor->created_at))) ?></span>
                                            <h5 class="company"><?= esc($similar_vendor->store_name) ?></h5>
                                            <?php
                                            $builder = $db->table('products');
                                            $builder->where(['product_vendor' => $similar_vendor->id]);
                                            $count = $builder->countAllResults();
                                            ?>
                                            <span class="badge badge-primary"><?= $count ?> Product(s)</span>
                                            <p class="address"><b>Address: </b><?= esc($similar_vendor->address) ?></p>
                                        </div>
                                        <hr>
                                        <div class="vendor-contact">
                                            <a href="<?= site_url('sellers/' . esc($similar_vendor->slug)) ?>" class="btn btn-primary">Visit Store</a>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Contact Modal -->
    <div class="modal fade" id="request-form" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?= $vendor_data->store_name ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <?php if ($auth->check()) : ?>
                    <form action="<?= site_url('send_request/' . $vendor_data->slug) ?>" method="post" id="request-form">
                        <?= csrf_field() ?>
                        <div class="modal-body">
                            <div class="form-group">
                                <input type="text" class="form-control" name="subject" placeholder="Request Subject" required>
                            </div>
                            <input type="text" class="form-control" name="vendor_id" value="<?= $vendor_data->id ?>" hidden>
                            <input type="text" class="form-control" name="user_id" value="<?= user()->id ?>" hidden>
                            <input type="text" class="form-control" name="vender_slug" value="<?= $vendor_data->slug ?>" hidden>
                            <div class="form-group">
                                <select class="custom-select" name="type" required>
                                    <option value="" selected>Request Type</option>
                                    <option value="1">Product</option>
                                    <option value="2">Service</option>
                                </select>
                            </div>
                            <textarea class="form-control" rows="3" name="description" required></textarea>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-primary">Submit Request</button>
                        </div>
                    </form>
                <?php else : ?>
                    <div class="modal-body">
                        <h6 class="text-danger text-center">Please signin to send request</h6>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <!-- Report Vendor -->
    <div class="modal fade" id="report-vendor" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?= $vendor_data->store_name ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <?php if ($auth->check()) : ?>
                    <form action="<?= site_url('report_vendor') ?>" method="post" id="fraud-form">
                        <?= csrf_field() ?>
                        <div class="modal-body">
                            <input type="text" class="form-control" name="vendor_id" value="<?= $vendor_data->id ?>" hidden>
                            <input type="text" class="form-control" name="user_id" value="<?= user()->id ?>" hidden>
                            <input type="text" class="form-control" name="vender_slug" value="<?= $vendor_data->slug ?>" hidden>
                            <div class="form-group">
                                <select class="custom-select" name="reason" required>
                                    <option value="" selected>Select Reason</option>
                                    <option value="1">Fraud</option>
                                    <option value="2">Other</option>
                                </select>
                            </div>
                            <textarea class="form-control" rows="3" name="description" placeholder="Describe" required></textarea>
                            <small class="text-danger">Please attach <b>Invoice No</b>, if available</small>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-primary">Send Complaint</button>
                        </div>
                    </form>
                <?php else : ?>
                    <div class="modal-body">
                        <h6 class="text-danger text-center">Please signin to send Complaint</h6>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="request--warning-form" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Warning !!!</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="d-flex">
                        <img src="<?= base_url('public/uploads/template/x-button.png') ?>" alt="" width="40" class="img-fluid my-auto" style="margin-right: 20px;">
                        <p class="text-danger my-auto">Your not permitted to perform this action. Please login in with a customer account to enable option!</p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <?= $this->endSection() ?>